General Information

Advanced Laboratory Imaging and Analysis System

ALIAS Version 3.8.5.2 -- 13 September 2023 -- Help File
Copyright 1994-2023 Cascade Data Systems
https://www.AliasCDS.com

Before the release of ALIAS, industry relied on manual calipers to measure particles. Now there is a better alternative: ALIAS! This labor-saving product uses a high-resolution flatbed scanner to optically scan, measure, and characterize large samples of particles. Developed several years ago in cooperation with CRI International Inc., and improved upon ever since, ALIAS can triple productivity while achieving high accuracy and decreasing measurement variability from site-to-site and person-to-person.

Features

  • Scans hundreds of particles at a time
  • Three times faster than calipers
  • Maintains high accuracy
  • Fully customizable reports
  • Easy to setup and use

    • Applications

    If you're using calipers to measure particles, ALIAS can boost your throughput and revolutionize your characterization capabilities. Typically, ALIAS is used in a lab or plant environment where the size and shape of particles are a performance or quality control benchmark. While ALIAS is primarily designed to measure the physical dimensions and curvature of particles, it also provides data needed to compute additional properties, such as particle volume and density.

    Process

    To measure a sample, simply sprinkle the particles on the scanner, separate them, and click the mouse. Then examine the displayed results to ensure that all has proceeded as expected.

    Analysis Tools

    ALIAS provides both standard and weighted statistical measures such as sample averages, standard deviation, median, kurtosis, and skewness. It also generates fully customizable histograms for any of the measured parameters. With ALIAS, several samples can be compared at once and subsets of samples can be statistically separated for analysis.

    Sample Review

    The operator can zoom in on, swap the dimensions of, and remove any particle desired.

    Report

    ALIAS provides standard report formats that are fully customizable. ALIAS can also export its data directly to Microsoft Excel and to ASCII text files.

    Algorithm

    ALIAS measures the length and diameter of particles as if it were using virtual calipers. It handles even curved and jagged particles, measuring them from tip to tip. ALIAS also provides additional data that calipers can not provide, such as the curvature and the area of each particle.

    General Information on ALIAS Help

    ALIAS is designed with you, the user, in mind. All features have been integrated for the easiest possible access and use. However, the intricate measurements ALIAS conducts, and the precise calculations demanded of it, require proper technical use and careful oversight of the results.

    This ALIAS Help file that you are reading teaches you what ALIAS is doing so that, where necessary, you can provide the needed input and oversight. You will find this ALIAS Help file organized similarly to the ALIAS user interface. All menus, icons, and options are explained, depicted graphically, and mapped to their respective locations in the program.

    ALIAS users should have read and be familiar with this ALIAS Help file, especially the sections on "General Information", "Scanning", "Saved Files", and "Verification, Self-Test and Color Calibration". This ALIAS Help file will explain all of the commands and options available, and more importantly will provide useful information to help the user operate ALIAS quickly, accurately, and to its fullest potential.

    From time to time this Help file will be updated on the https:\\www.ALIASCDS.com website. ALIAS users should periodically check this site and download the most recent version of the ALIAS Help file, for the operating guidance in the most recent version of the Help file can offer greater insight into the effective use of their ALIAS system. (But also keep your original Help file for reference, since it's likely to have better descriptions of the specific features and option settings for your particular ALIAS unit.)

    The General Information, Scanning and Saved Files sections make an excellent tutorial for new users. It is recommended that users start there.

    This Help file is release version 3.8.5.2. All versions of ALIAS operate similarly.

    Next


Accuracy

 ALIAS Accuracy
Cascade Data Systems finds that, under proper conditions,* ALIAS typically provides measurements for the average sample length and average sample diameter that are comparable to the measurements that can be obtained with calipers.**

* - Proper Conditions:
1. The number of particles being scanned is large (preferably up to around 200 particles).
2. Particles in a given sample all have the same geometric shape (cylinder, trilobe, bilobe, quadlobe, or sphere). Particles in a given sample all have approximately the same diameter (within +/- 10%) and are of the same species of catalysts. (Mixing different species of catalysts--say two catalyst types that have different color, or shapes, or typical diameters--can degrade ALIAS accuracy. If you have a mixed catalyst sample, Cascade Data Systems recommends you separate the particles into their various species and measure them separately.)
3. The operator has ensured that the dimensions of the individual particles have been properly assigned according to which is length and which is diameter.
4. Particles are uniformly scattered on the scanner (but no closer than 1.5 inch to either the left or right edge of the scanner glass). All particles should be laid on their sides, an issue that typically arises only when measuring short particles, ones that have a chance of coming to rest on their ends.
5. No particles are touching each other.
6. Particle diameters lie within the range for which ALIAS is tuned (between 0.85 mm and 3.5 mm).
7. Catalyst particles also need to have fracture geometries and other properties that are similar to those catalysts on which ALIAS was tuned. Particles should be smooth along their long sides, but may have some jaggedness on either end. The more jagged the ends of a particle, the tougher it is to ascribe an accurate length measurement to it.
8. The Standard Error (the standard deviation divided by the square root of the number of particles in the sample) of the sample should be small for the dimension of interest.
9. The ALIAS hardware and ALIAS software has been properly installed and the scanner calibration information has been properly entered.

Additional Notes:
--At all times ALIAS strives to reproduce the measurements that a trained technician would achieve when measuring samples with calipers.**
--As the diameter of particles increase, typically so does the magnitude of the difference between caliper-measured length and ALIAS-measured length. (And also, as the diameter of the particles increase, the variability from one set of measurements done with calipers when compared to another set of measurements done with the same calipers also tends to increase: this is due to the particles sitting differently within the narrow jaws of the calipers.)
--ALIAS was tuned using about twenty catalyst samples that are taken to be representative of catalysts in use by the oil industry. Obviously, though, these catalyst that have been studied cannot be guaranteed to be adequate representations of all possible catalyst species that might ever be scanned with ALIAS. As such, Cascade Data Systems recommends that whenever a user scans a new catalyst species--one that they haven't yet scanned with the current version of ALIAS--that they take extra steps to ensure that ALIAS is achieving the accuracy that they desire. Some catalyst characteristics that might pose measurement challenges are catalysts with highly reflective (high-luster) surfaces, catalysts with severe curvature and twisting, catalysts with significantly different cleavage geometries from the fractured cleavages that were studied (other types of cleavage geometries that weren't studied would include catalysts with rounded, pointed, crisply cut, or eroded end geometries), catalysts with different surface coarseness than what was studied, catalysts that vary significantly in diameter along the length of a given particle, etc.

** - When comparing caliper measurements and ALIAS measurements, we suggest you use the following procedure:
1. Have at least three different caliper-trained technicians measure the same (sufficiently-large) sample with calibrated calipers;
2. Ensure no chipping or breakage of the catalyst occurs during or between measurements;
3. Average the results of these three (or more) samplings together.
NOTES:
--It's common for caliper measurements of sample average length to differ by 0.1 mm or more from measurement to measurement, and for measurements of sample average diameter to differ by 0.05 mm. Multiple measurements are therefore encouraged. The variation in sample average measurements when using ALIAS is typically seen to be smaller than the variation in sample average measurements when using calipers, even when particles are redistributed between successive ALIAS scans. And ALIAS sample average measurements are normally operator-independent if the proper conditions discussed above are met.
--As any technician who has ever used calipers to measure the lengths and diameters of catalysts can tell you, it can be quite tricky determining what the actual diameter and actual length of a given particle is. As the jaws of the caliper close on a catalyst to measure its length, either or both of the jaws might fall into a fracture crevice, or on a fracture peak, or anywhere in between. The particle also might not be perfectly parallel to the long axis of the calipers, and this is particularly difficult to achieve if the particle has any curves or twists in it, features which are quite common. Similarly, when measuring diameters, the calipers might not be placed precisely perpendicular to the long-axis of the particle at the point where the calipers touch the particle, or the calipers might not be placed at the exact midpoint of the particle, or the calipers might have been closed a little too strongly, causing the sharp jaws of the calipers to dent the particle slightly. This problem is exacerbated with trilobes, where there are three possible diameters to be measured; or with quadlobes, where there are four possible diameters. And even a cylinder might yield a different diameter if the particle is rotated inside the jaws of the calipers.
--Due to the complexities of measuring dimensions, and the countless deformations from the straight and true that may occur in a single particle of catalyst, Cascade Data Systems can make no absolute claim about accuracy. That being said, know that Cascade Data Systems has worked hard to make ALIAS as accurate as we know how for the particle species that we have calibrated against, leveraging our 25 years of experience with the ALIAS product to refine and improve our algorithms. All that's left is for ALIAS customers to investigate the results that ALIAS provides and see if they are of sufficient accuracy for their needs.

Cascade Data Systems specifies no accuracy thresholds for area, curvature and color values:
1. Area is the number of pixels each particle covers multiplied by the area of each pixel.
2. The Curvature algorithm tells, in increments of diameter, the amount by which the particle deviates from the straight and true. If a particle has a curvature of 0.33, then it differs from a straight line by an amount equal to a third of the average diameter of the particle. In layman terms what this means is that if you wanted to construct a box to hold the particle, you would have to make the box 33% wider than the average diameter of the particle in order for the particle to fit into it. Or looked at another way, the curvature value gives you an approximation of the gap that would form between the center of the particle and a tabletop if the particle curved with a nice smooth arc, and if that particle were laid on its tips so that it formed an arch. The particle in the image below has a reported curvature of 0.418, or a bounding box that needs to be 41.8% taller than the average particle diameter in order to accomodate the particle.

3. The Roundness measurement, which only applies to spheres, is the standard deviation (of "a sample", that is, by using the "N-1" denominator inside the square root) of several diameters drawn at uniform angular increments through the center of the sphere. (The number of diameters used can be determined by counting the number of yellow diameter lines--or "double" spokes--drawn through the particle after it is scanned, highlighted and magnified in the Scan window.) The roundness of the sphere shown below was computed using eight different diameters.

4. A scanner is not the best device to measure color values. However, if you choose to use the color feature of ALIAS, a color calibration plate is provided. Before using ALIAS to provide color values, you must first test ALIAS for the particle colors and color ranges that you anticipate using, and from that testing determine whether or not the values returned by ALIAS are accurate enough for your purposes. Cascade Data Systems makes no accuracy claims about the color values returned by ALIAS.

Prev Next


 Investigating ALIAS Accuracy for a Specific Species of Catalyst

ALIAS was tuned for use with about twenty different catalyst species that were taken to be typical of the catalysts that are in use in the petroleum industry. Cascade Data Systems knows, however, that not every company manufactures or deals with the same types of catalysts, and that new catalyst shapes and sizes and chemical compositions may be introduced at any time. On the other hand, Cascade Data Systems also realizes that most of our customers typically encounter only a limited number of catalyst species during regular usage.

Please also know that ALIAS is limited by the physical characteristics of the optical scanner itself. These limitations are very real, and have taken many, many hours to account for. The principle limitation is that the scanner scans any "document" that is placed on the scanner glass from the perspective of the centerline of the scanner (shown in the image just below with a red line at approximately the correct place). A horizontal bar that holds the optical sensor and a lens will travel from the top of the scanner to the bottom of the scanner, traveling just beneath the scanner glass, scanning one or more horizontal lines of pixels at each moment as it moves. The sensor and lens resides at roughly the mid-point of this horizonal bar, halfway between the left and the right edges of the scanner glass. The sensor, as it moves, travels along this unseen centerline. Anything that resides directly above the sensor is being seen straight up. Anything that is displaced either to the left or the right of the centerline is being viewed a bit from the side, with the angle diverging further from 90 degrees the farther the object is displaced from the centerline. As you can imagine, this complicates the task of measuring the true dimensions of particles. Complicating this further is the fact that, the farther you are displaced from the centerline, the smaller the angular extent that any given pixel will have. The scanner firmware accounts for this and other factors, but ALIAS needs to back out these correction factors that the scanner uses so that ALIAS can gain a better understanding of the three-dimensional object that it is looking at.

So what does this mean for the ALIAS User? What it means is that Cascade Data Systems recommends that a User follow the procedure below to get the best possible handle on how well ALIAS will measure any given species of catalysts within the calibrated range of ALIAS.

Accuracy Assessment Procedure:
1) First, the User should create a small pad of parallel, closely spaced catalysts of the given species, particles that are representative of what are typically encountered. To do this, cut out a 2-inch-square of transparency and in the center of it cut out a 1-inch-square hole. Then, taking good-quality transparent packing tape (the tape must be transparent, not just translucent--use as clear a tape as you can find), cut a 1.5-inch-square of tape and adhere it to one side of the square transparency, covering the hole. Then take about 15 to 20 catalysts and arrange them close together and parallel with each other. See the picture below:

2) You will then conduct 15 scans of this pad of catalysts: 5 scans when the pad is placed on top of the centerline of the scanner, 5 scans when the pad is placed at the far edge of the scan area (either to the left or to the right), and 5 scans when the pad is placed midway between these points. (Note: the scanner is symmetric, so you can do your displacements either to the left side or the right side, but make sure to do them all on the same side. Nor does it matter how far up the scanner glass or how far down the scanner glass the pad is: only the left-to-right displacement is important.) Each of the 5 scans at each position will be rotated: Do a scan with the particles all parallel with the centerline, then a scan with the particles all perpendicular to the centerline, and then do scans at 3 other positions in between those two extremes. Note: You will only be scanning the particles in "one quadrant" of all possible rotations--but that is what you want to do. The same quadrant of the particles should be facing the centerline across all 15 scans. (See the notional image below.)

3) Study the average sample length and average sample diameter for each reading, and see how much these vary from position to position. Compute the standard deviation of these measurements across all 15 scans. If the variation (standard deviation) is small, then ALIAS will likely perform very well with this species of catalyst. If the variation is large, then ALIAS may not provide as accurate a value as you desire.

3a) How do you know what is large, and what is acceptable? You should realize that, when properly used, ALIAS will be scanning particles that are randomly scattered and randomly rotated. When this happens, ALIAS will be averaging many values together, values that span all 15 of the above scan orientations and dislocations. This means that, under normal circumstances, the values that ALIAS returns should vary less than the variation across the 15 individual scans done above.

4) Next, have two or three technicians measure with calipers a large sample of this catalyst species. Average those values together. Then scan that same sample with ALIAS a few times, rearranging the catalysts in between each scan.

4a) In this manner you may demonstrate that ALIAS provides dependable values for your given species of catalysts. Or, you may determine that the ALIAS values are off a little from what your technicians measure. In this latter case, you may wish to add or subtract that difference from the ALIAS measurements and thereby obtain values that are closer to what you desire. (Or, lastly, you might determine that ALIAS doesn't perform well with this species of catalyst and therefore shouldn't be used to measure it.)

Alternate Procedure:
A less reliable method for assessing the accuracy of ALIAS with regard to a single species of catalyst would be to measure a sizeable sample of that catalyst with calipers, and then to scan that same sample three or more times with ALIAS, re-scattering the particles between every scan. The variance from scan to scan in the average sample length and average sample diameter that ALIAS measures, and the difference between the ALIAS measurements and the caliper measurements will give you a feel for what to expect for ALIAS measurements of this species of catalyst. (You will gain greater confidence, though, if you use the somewhat longer procedure described just above.)


 Verification Rods

As initially received from CDS, ALIAS provides very good accuracy and performance. But as with all computer systems, malfunctions and degredations may occur if hardware, firmware, or software becomes corrupted or malfunctions. To help protect against undetected corruptions and malfunctions, ALIAS provides internal checks to ensure that the software continues to perform as expected. These checks are run through the ALIAS Verify tab.

By clicking the "Run Self-Test and Scan Verification Rods" button under that tab, you will initiate these checks. (See the Verification, Self-Test and Color Calibration help section for more details.) One check performs a simulated scan of a saved image file to ensure that ALIAS is still returning the precise values for important parameters that it is expected to be returned. The other check runs a full measurement scan of the Verification Rods that are provided with all ALIAS units.

Here, we explain the Verification Rod test in fuller detail:

(1) ALIAS measures the circa 50 to 100 Verfication Rods and checks to ensure that the measured results are within acceptible limits. Very, very seldom have we seen the ALIAS system measure these particals inaccurately, but we provide this test to ensure that such a case--should it occur--won't go long undetected.

(2) Please know that when you run the Verification Rod test scan, ALIAS is NOT adjusting its calibration parameters! ALIAS continues to use the same calibration parameters that CDS assigned to it when it was originally configured.

(3) The Verification Rods are roller bearings (sometimes also called needle bearings) that are manufactured to very tight tolerances. We provide a technical page specifying what these manufacturing tolerances are. Please note, however, that these are the manufacturing tolerances of the original product. After receiving these particles, CDS mildly etches them to reduce the reflectivity of the metal surfaces so that ALIAS can measure them more precisely. Further note that ALIAS will NOT measure these Verification Rods to the same tolerances that are indicated on the data sheet.

ALIAS is tuned to work with real-world catalysts that have been measured using digital calipers. Most calipers have a stated accuracy of +/- 0.02 mm. (To get accuracy better than that, usually some type of screw-threaded micrometer needs to be used.) To see how small 0.02 mm is, take a pair of calipers and set it to 0.02 mm and look at the gap--it is a very small distance.

Also know that the individual optical pixels we use during the scanning process are about 0.05 mm across (depending if you measure the square pixel across its slimmest dimension of width or height, or along its diagonal). So expect there to be a bit of "noise" in the hundredth's digit (when using mm).*

If you were to change the default ALIAS settings so that ALIAS reports three decimal digits instead of two, and if you received an average Verification Rod diameter measurement of 1.483 mm, then you should expect that both the hundredths and thousandths digits will exhibit some noise. Just because ALIAS is displaying a certain number of digits doesn’t mean that ALIAS accuracy is equal to +/-1 of the smallest displayed digit!

Also know that ALIAS is not tuned to measure metal roller bearings (which we use as verification rods solely due to their high tolerance of manufacture and their durability). ALIAS is tuned to measure friable catalysts that are often warped, skewed, chipped, and non-uninform in diameter*--catalysts that have several characteristics that are very different from the characteristics of roller bearings. ALIAS is designed to measure samples that are no where near as homogenous as a batch of roller bearings are. Our verification rods are simply for one purpose only: verification. As stated above, they are not used to calibrate ALIAS--only to ensure that ALIAS is continuing to perform as designed.

If you wish to compare other means of catalyst measurement (such as older ALIAS units or measurement systems from other companies) to your new ALIAS unit, then we suggest you do three or more scans of a fixed, circa-200-particle sample of real catalyst on both systems, (re-scattering the catalyst sample in between successive ALIAS scans). Then ask three different technicians to measure that same sample with calipers (without breaking or chipping the catalysts as they do so). We have tuned ALIAS toward this latter comparison. (If you use trilobes, measure the width across the base of the catalysts with the calipers, not the height of the catalysts: e.g., the base of the triangular cross-section, not the height of the triangular cross-section: see the Trilobe Measurement help topic for more details.) See the Investigating ALIAS accuracy help page for more details on comparing measurements.

If you have further questions regarding this topic, please contact CDS Technical Support.

*: Due to the physical nature of catalysts--their tendancy to chip and curl and curve, their non-uniform diameters across the lengths of the particles, and the many other variances that are routinely encountered, along with the physical limitations of two-dimensional optical sanning from a flatbed scanner--we have concluded that using a smaller optical resolution would be of little value in increasing ALIAS accuracy. Indeed, even rotating a single catalyst onto a different side so that it's viewed from a different angle can affect its computed two-dimensional measurements.


 Sample Size

ALIAS uses an optical process involving an optical scanner to measure particle dimensions. But several characterisitcs of the scanning process and of the particles that are scanned--especially the two-dimensional viewing geometry of three-dimensional particles, the roughness of particles which have jagged boundaries, and the displacement of particles from the centerline of the scanner--all set limits on the accuracy that can be achieved.

Accordingly ALIAS makes certain assumptions to maximize accuracy. One of those assumptions is that there'll be several particles present when it conducts a scan, and that they'll be scattered somewhat randomly over the scan area. Consequently discussions about ALIAS accuracy will always be in regard to the average measurements of a sizeable sample of particles, not to the measurements of individual particles.

ALIAS can scan a single particle, of course. If you choose to do so, note that the accuracy will generally be greatest if you align the long axis of the particle parallel with the long axis of the scanner glass, and if you place the particle close to the centerline of the scanner. (You may place the particle near the "top" of the scanner, up near the lid hinge, if you wish; it's the left-to-right--that is, the side-to-side--displacement from the centerline that matters for this purpose. But remember that the top half-inch of the scanner glass must always be kept clear and unobstructed, as discussed elsewhere within this Help file.)

But ALIAS, when used as it's designed, should be shown at least 40 particles in a sample. You can of course run ALIAS with smaller samples, but ALIAS will warn you of that fact. (You can set this limit to another value--see Options | Messages | Minimum Sample Size.) ALIAS will also alert you if the sample is not randomly placed. (Similarly, you can turn off this warning or change the limits; see Options | Messages | Random Placement.) ALIAS will also warn you when the standard error recommends a larger sample size than was present during the scan.

As a rule of thumb, Cascade Data Systems recommends sample sizes of about 200 particles. With practice, an experienced ALIAS user can distribute and separate 200 particles over the "large" scan area in a minute or so. As you gain more familiarity with how ALIAS measures a given species of catalyst, and as you understand the population of particles from which you draw your samples, you might adjust this desired sample size upwards or downwards.

Cascade Data Systems makes no assertions about the accuracy of ALIAS outside of its intended operating limits. Before using ALIAS outside of its intended use, it is strongly recommended that you thoroughly test ALIAS to ensure that it provides the level of results that you seek. And even then, Cascade Data Systems makes no assertions about the accuracy of ALIAS when operated outside of its intended operating limits.


ALIAS Hardware

--Through the years, ALIAS has been tuned for use with only a few brands and models of optical scanners, and each physical scanner needs to be specifically calibrated for use with the ALIAS version you are running. Should your scanner break, do not simply buy a replacement--YOU MUST OBTAIN AN APPROVED AND CALIBRATED SCANNER directly from Cascade Data Systems. Failure to do so will cause loss of accuracy, perhaps even extreme loss of accuracy!

--The ALIAS Measurement Sytem is a system. Do not install other software on this ALIAS computer, as it may interfere with the running or performance or accuracy of ALIAS. Do not manually adjust the settings in the ALIAS.INI file. (All the changes should be done through the Options window.) Do not change any of the ALIAS files.

There are four main pieces of hardware needed to run ALIAS.

1. Computer: Cascade Data Systems ensure that the computer system that ships with your ALIAS system are sufficient for running ALIAS effectively and speedily. For customers that supply their own computer, Cascade Data Systems recommends the following as minimum specs:
  • CPU: Intel i5-9500 or faster.
  • OS: Windows 10 or Windows 11.
  • RAM: 8 GB.
  • Hard Drive: 500 GB.
  • Free USB Slots: 1. (After accounting for all other peripherals.)
  • Microsoft Office 2021 or newer. (Excel is the only application that's required.)
  • Mouse and Keyboard.
  • Monitor: 23 inch, 1920 x 1080 (or thereabouts).
This latest versions of ALIAS (version 3.8.5.0) has been modified and re-compiled to run on the Windows 10 and Windows 11 operating systems. These two OS's are frequently updated by Microsoft, so we have built self-testing into the Verification routines, routines that should be run after every OS update to test whether ALIAS is still functioning properly under the newly installed Windows updates.

Please remember that ALIAS should be run on a dedicated computer, as mentioned above.

Re-installation of ALIAS or transferring of ALIAS from one computer to another was not easily done with ALIAS versions prior to 3.8.5.0. Simply copying files from one directory to another was insufficient: precise additional steps were also required and hence needed the guidance of CDS Technical Support personnel. ALIAS 3.8.5.0, on the other hand, can be moved more readily and comes with simple manual (re-)installation instructions and also an ALIAS Setup.exe program that handles the entire process for you. This setup program comes on a thumb drive, and it is tied to the specific Epson scanner that it ships with. After installation, keep the thumb drive in a safe place for use should you ever need to re-install ALIAS. And remember that each thumb drive comes with calibration settings for the specific scanner that it shipped with: this serial number can be read by opening ALIAS and clicking on Help | About.

If you own more than one ALIAS unit, do not swap scanners and computers among them: each scanner is specifically calibrated and the calibration information is entered into the companion computer software that it came with. (Contact CDS Technical Support for more information.)

2. Optical Scanner: ALIAS currently supports one scanner model:
Epson Perfection V850 Pro Scanner (R)

Scanners must be purchased through Cascade Data Systems, as each physical scanner is individually calibrated before being shipped to our customers, to ensure ALIAS accuracy. This scanner comes with a transparency adapter lid. The transparency adapter lid is an integral part of the ALIAS hardware, and is necessary for the proper functioning of ALIAS.

Here is a list of several of the recent versions of ALIAS and the scanner models they are calibrated to work with:
ALIAS version 3.2 works with the Epson Expression 1600 scanner, and Microsoft Windows XP. (2005)
ALIAS version 3.3 works with the Epson Perfection V700 Photo scanner, and Microsoft Windows XP. (2006-2008)
ALIAS version 3.4 works with the Epson Perfection V700 Photo scanner, and Microsoft Windows Vista. (2009)
ALIAS version 3.5 works with the Epson Perfection V700 Photo scanner, and Microsoft Windows 7. (2010-2016)
ALIAS version 3.6 works with the Epson Perfection V800 Photo scanner, and Microsoft Windows versions 7 and 8. (2017-2018)
ALIAS version 3.7 works with the Epson Perfection V800 Photo scanner, and Microsoft Windows version 10. (2019-2020)
ALIAS version 3.8 works with the Epson Perfection V850 Pro scanner, and Microsoft Windows versions 10 and 11. (2021-2023)
Note: Just because ALIAS might physically run with a scanner you purchased yourself does not mean that the values the unit supplies will be accurate. ALIAS is a precision instrument and requires careful tuning between the scanner and the software to provide the accuracy it was designed for.

Note: the Epson Perfection V850 Pro requires that the top 1/2 inch of the glass bed remain free of catalyst, dust, and any other obstruction (including any opaque tape that might be on any transparency that you are using--always remove this tape!). Before every scan, the V850 uses this half-inch area to calibrate the scanner light intesity. Any obstruction in this area--either on the glass in the scanner base, or on the glass in the scanner lid--can degrade ALIAS performance, possibly creating blind spots or blind streaks in the scan. You may wish to mark the edges of this boundary area with an indelible marker or masking tape on the plastic edges of the scanner (but never on the scanner glass itself), to help users remember not to put anything in this area. (The ALIAS scanner comes with stickers to remind the User of this requirement.) Also, be sure to keep the scanner lid firmly seated on its hinges. If the lid closes at a cock-eyed angle, ALIAS performance could be adversely affected. And you must always keep the scanner glass clean and use clean transparencies, for dust and other tiny obstructions will adversely affect ALIAS performance and accuracy.

Each scanner is individually calibrated. This calibration information (which consists of two numbers for black and white scans, and three additional numbers for color scans) has to be entered into ALIAS through the ALIAS Options window. Each scanner will arrive with a single sheet of paper containing the serial number of your scanner, the required calibration numbers, and the precise procedure for entering these values. If Cascade Data Systems installs ALIAS on the computer for you, or if you use the (unaltered) thumb drive that came with your scanner to install the ALIAS software, these values will already have been entered into the ALIAS settings. (The Color Settings for both scanner models are entered under the heading that says "V700 / V800 /V850 Color Settings".) If at any time your ALIAS.INI file becomes corrupted, deleted, or replaced, you will need to re-enter these numbers, so keep the calibration page that comes with your ALIAS unit in a safe place! (You will also want to redo the Color Calibration of your scanner with the "Datacolor SpyderCheckr 24" color checker.)

NOTE: THE IMAGE SHOWN BELOW IS A SAMPLE OF WHAT THE CALIBRATION PARAMETER FORM LOOKS LIKE: BUT IT'S FOR ILLUSTRATIVE PURPOSES ONLY--YOUR SCANNER WILL HAVE ITS OWN UNIQUE SET OF CALIBRATION PARAMETERS. DO NOT USE THE PARAMETERS SHOWN IN THIS IMAGE!

3. Connector: the optical scanners should be connected to the ALIAS computer via the supplied USB cable.

4. Hardware Key: ALIAS uses a hardware key as a copy protection device. It attaches to any USB port. The hardware key is periodically accessed as you use ALIAS to verify the software license.

5. Changes to the ALIAS Unit: Your ALIAS unit is intended to run as it was originally shipped to you or as it was originally configured. Before making any changes to it--such as replacing the scanner, moving it to a new computer, upgrading the operating system, moving the ALIAS software to a new directory, etc.--it is essential that you contact Cascade Data Systems' technical support at TechSupport@ALIASCDS.com. We'll help you through the process and warn you of any mistakes that might prevent ALIAS from working or might degrade ALIAS performance.


ALIAS Software

ALIAS software requires the following:

1. Scanner Drivers and Software: The first step in any troubleshooting--after doing a fresh reboot--is to make sure that the scanner is connected properly and is functioning with your computer. You can use the "Epson Scan" program to do this: there should be a shortcut icon for it on the Windows desktop. If you encounter any problems while using Epson Scan, then contact your scanner or computer manufacturer, or operating system provider, or your IT department to resolve the problem: ALIAS will not be able to function correctly if the scanner is not functioning correctly. Do not update the scanner drivers without talking with Cascade Data Systems: the scanner drivers that were installed with the system were tested and verified to be working correctly. New scanner drivers could change the behavior of the scanner or its interaction with ALIAS.

2. Hardware Key Drivers: ALIAS requires that the hardware key be attached to a functioning USB port.

3. ALIAS Files: ALIAS does not make any changes to the system registry. All of its files are installed in the ALIAS directory (typically C:\ALIAS\). To uninstall ALIAS manually, all you need to do is to delete the ALIAS directory and all of its subdirectories. The main ALIAS program consists of the following files:
ALIAS.EXE - the main executable.
CATSCAN.DLL - the main library file.
ALIAS.CHM - this Help file.
ALIAS.INI - a file which ALIAS recreates if it is ever destroyed. See Options. However, should this file ever be deleted and recreated, you will need to re-enter the specific calibration parameters under the Admin2 tab, as discussed on the previous page.

ALIAS also has two subdirectories below the ALIAS directory. "ALIAS\DATA\" where data files are saved by default and "ALIAS\REPORT\" where some Microsoft Excel (R) spreadsheets are initially placed to permit customized reports.

Don't attempt to move ALIAS to a new computer or to reinstall ALIAS back onto the same computer without either (a) following the "ALIAS Installation Instructions.txt" file located in the ALIAS directory or (b) using the unaltered ALIAS Setup.exe program on the thumb drive that came with your ALIAS scanner. There are important files that are needed and important settings that need to be made. Simply copying the contents of the ALIAS directory and its sub-directories will not necessarily install ALIAS correctly. Contact ALIAS Technical Support if you have any questions.

When you contact Cascade Data Systems, it is good to have the version information of your ALIAS installation handy. This information is found on the Help | About menu selection. The red version number and date gives the information for the ALIAS.EXE file; the blue number and dates, for the CATSCAN.DLL file.


Executing Commands

 Executing Commands.

There are two ways to execute commands in ALIAS:

1. Menu bar - All ALIAS commands are accessible via the menu bar at the top of the program window. These commands can be accessed from the menu bar in two ways: clicking the command, or using shortcut keys on the keyboard.

Clicking the command means to place the cursor on the desired command on the menu bar or a drop-down menu and pressing the left mouse button once. NOTE: There are some occasions during the operation of ALIAS you may be asked to "double-click" (although this will never happen on a menu bar command or a tool bar button). Double-clicking simply means to press the left mouse button twice rapidly while holding the mouse still.

Using the shortcut key means pressing the letter key that corresponds with the underlined letter on the desired command. (In Windows 10/Windows 11, Microsoft disables these underlined letters to keep the display cleaner looking. You can make them visible by pressing the "Alt" key, which toggles them on and off again.) In the following example it is assumed there is a data file already open. Pressing D would yield the drop-down menu from the Dataset command. Pressing the R key will call up the Report view of the data file.

2. Toolbar. Most ALIAS commands can also be executed by clicking the appropriate button on the toolbar. The example below shows how to execute the Dataset | Report commands using the toolbar buttons rather than the menu bar.

Note that you can also use the shortcut key method of executing commands with toolbar buttons.


 Non-U.S. Users

ALIAS was designed and written to be used with computers that have American English set as the language of choice, and that have regional settings set to "U.S." This includes using the "." [period] as the decimal symbol, not the "," [comma]. These settings are done both within Microsoft Windows itself and within Microsoft Office (that is, Microsoft Excel). ALIAS works well when using these regional settings.

Other countries use different languages and different decimal symbols. Although we have tried to make ALIAS robust under changes to the regional settings of Microsoft Windows and Microsoft Office, we are unable to fully test such changes to ensure that this is so. Therefore, when using non-U.S. settings, the User is cautioned that there may be unforeseen conflicts or problems, especially as Microsoft frequently updates both products (Windows and Office), without warning. Since ALIAS uses Microsoft Excel to generate its customized reports, we strongly recommend that Users check to make sure that the printed output matches the electronic data displayed on the left side of the ALIAS screen. Should there be any issues, please contact ALIAS Technical Support.

Another option for Users is to select the "Standard" Report Style, selectable under Options and the Report tab: see the Select Report Style page in the help file. The Standard Report does not use Microsoft Excel.


Navigating

 Navigating ALIAS

If you're already familiar with Microsoft Windows applications, navigating ALIAS will pose no problems. If you are inexperienced with Windows applications, take a moment to review these few pointers:

Title bar - Located at the very top of the program window, this bar contains the name, or title, of the program running in the window. If you have more than one window open at the same time, it also tells you which window is active: the title bar of the active program will be vivid. Other (inactive) program windows will have gray title bars. You can switch between active windows by simply clicking anywhere on the window you want to activate. If the active window is maximized, i.e. covers the whole screen with no other windows showing, you can switch between windows by holding down the Alt button and pressing the Tab button repeatedly to toggle between window icons. Additionally, if you want to move the window to a different place on your screen, place the cursor on the title bar, depress and hold the left mouse button, and drag the window to the desired position. When you have the window positioned where you want it, release the mouse button.

Minimize button - Located on the right side of the title bar, the minimize button reduces the window to a button on the task bar located at the bottom of your Windows desktop. It does not affect the operation of the program, it simply removes the active window display from the desktop. To restore the window to its original position on your desktop, click the button on the task bar labeled with the program name.

Maximize/Restore buttons - Also located on the right side of the title bar, the maximize button expands the window to the fullest extent of the screen. It does not affect the operation of the program, it simply increases the size of the window. When the window is maximized, the maximize button [image] changes to the restore button [image] . Clicking the restore button will restore the window to its original size and position on your desktop. You can also toggle back and forth between the maximized size and the restored configuration of a window by double-clicking on the title bar.

Menu bar - Located just beneath the title bar, the menu bar contains all the primary commands for ALIAS. See the Executing commands help page for information on using the menu bar.

Program Toolbar - Located just beneath the menu bar, the toolbar contains buttons for most of the primary commands for ALIAS. This toobar is referred to as the Program toolbar to distinguish it from the toolbar on the dataset window. If a given command is not applicable for the currently selected display, the toolbar button will be grayed out, indicating that it is inactive. See the Executing commands help page for information on using the toolbar.


 Ergonomics

Just as with other computer related activities, the ALIAS user should take steps to minimize fatigue and to prevent any awkward body positions while operating ALIAS. Suggested guidelines can be found at the Occupational Safety & Health Administration website of the U.S. Department of Labor.

Some commonsense suggestions include:
  • Use a comfortable pair of tweezers or stylus that has a good gripping surface, tweezers that don't require excessive force to use, and which you can hold at a comfortable angle.
  • Place the scanner at a comfortable height so that your neck and back do not need to bend, tilt, or stoop when scattering and arranging particles. Also arrange the setup so that the scanner isn't too far away from you, and so that you don't have to reach around its lid or other obstructions to reach it.
  • Provide an armrest at approximately the same height as the scanner glass to rest your arm on while scattering and arranging particles. Make sure that the scanner is completely level: this will prevent particles from rolling excessively.
  • Ensure adequate lighting is available to fully illuminate the work area.
  • Make sure the keyboard and mouse and monitor are at comfortable heights and angles.
  • As when using any equipment--from keyboards to pencils, from pliars to steering wheels--take time to stretch and move around, and to vary your motions. Long-term repetition of any sets of motions or postures may cause physical harm and is not recommended: consult a physician or workplace specialist to protect yourself against any type of repetitive injury.


Contact Information

Cascade Data Systems can be reached at:

Cascade Data Systems
P.O. Box 970
Wilsonville, OR 97070

Webpage: (Will contain the latest ALIAS information, including the latest version of this Help file.)
https://www.AliasCDS.com

Technical Support e-mail address: (while your technical support period is still active)
TechSupport@AliasCDS.com

The ALIAS software program is copyrighted by Cascade Data Systems. Do not decompile or reverse-engineer this software.

Excel, Windows, Windows XP, Windows Vista, Paint, Wordpad, Internet Explorer, Office Small Business Edition and Photo Editor are registered trademarks of Microsoft Corporation.

ColorChecker is a registered trademark of Munsell Incorporated and/or XRite.com.

SpyderCheckr 24 is a registered trademark of Datacolor.

Expression 636 Professional, Expression 1600 Professional, Epson Perfection V700 Photo, Epson Perfection V800 Photo, and Epson Perfection V850 Pro are registered trademarks of Epson Corporation.

DELL is a registered trademark of Dell Corporation.


END USER LICENSE AGREEMENT

This copy of ALIAS (Advanced Laboratory Imaging and Analysis System) ("the Software Product") and accompanying documentation is licensed and not sold. This Software Product is protected by copyright laws and treaties, as well as laws and treaties related to other forms of intellectual property. Cascade Data Systems or its subsidiaries, affiliates, and suppliers own intellectual property rights in the Software Product. The Licensee's ("you" or "your") license to download, use, copy, or change the Software Product is subject to these rights and to all the terms and conditions of this End User License Agreement ("Agreement").

Acceptance
YOU ACCEPT AND AGREE TO BE BOUND BY THE TERMS OF THIS AGREEMENT BY INSTALLING, USING, OR COPYING THE SOFTWARE PRODUCT. IF YOU DO NOT AGREE TO ALL OF THE TERMS OF THIS AGREEMENT, YOU MUST NOT INSTALL, USE, OR COPY THE SOFTWARE PRODUCT.

License Grant
This Agreement entitles you to install and use one copy of the Software Product. In addition, you may make one archival copy of the Software Product. The archival copy must be on a storage medium other than a hard drive, and may only be used for the reinstallation of the Software Product. This Agreement does not permit the installation or use of multiple copies of the Software Product, or the installation of the Software Product on more than one computer at any given time, on a system that allows shared used of applications, on a multi-user network, or on any configuration or system of computers that allows multiple users. Multiple copy use or installation is only allowed if you obtain an appropriate licensing agreement for each user and each copy of the Software Product. For further information regarding multiple copy licensing of the Software Product, please contact:

Representative: | Cascade Data Systems
Address: | PO Box 970
 | Wilsonville, Oregon 97070
Phone Number: | 503-989-1221
E-mail Address: | Sales@ALIASCDS.Com

Restrictions on Transfer
Without first obtaining the express written consent of Cascade Data Systems, you may not assign your rights and obligations under this Agreement, or redistribute, encumber, sell, rent, lease, sublicense, or otherwise transfer your rights to the Software Product.

Restrictions on Use
You may not use, copy, or install the Software Product on any system with more than one computer, or permit the use, copying, or installation of the Software Product by more than one user or on more than one computer. If you hold multiple, validly licensed copies, you may not use, copy, or install the Software Product on any system with more than the number of computers permitted by license, or permit the use, copying, or installation by more users, or on more computers than the number permitted by license.

You may not decompile, "reverse-engineer", disassemble, or otherwise attempt to derive the source code for the Software Product.

Restrictions on Alteration
You may not modify the Software Product or create any derivative work of the Software Product or its accompanying documentation. Derivative works include but are not limited to translations. You may not alter any files or libraries in any portion of the Software Product.

Restrictions on Copying
You may not copy any part of the Software Product except to the extent that licensed use inherently demands the creation of a temporary copy stored in computer memory and not permanently affixed on storage medium. You may make one archival copy which must be stored on a medium other than a computer hard drive.

Limited Storage Medium Warranty
For a period of 90 days from the date of shipment or from the date that you download the Software Product, as applicable, Cascade Data Systems warrants that when properly installed and used under normal conditions, the storage medium on which the Software Product is shipped will be free of material defects in material and workmanship.

Disclaimer of Warranties and Limitation of Liability
UNLESS OTHERWISE EXPLICITLY AGREED TO IN WRITING BY CASCADE DATA SYSTEMS, CASCADE DATA SYSTEMS MAKES NO OTHER WARRANTIES, EXPRESS OR IMPLIED, IN FACT OR IN LAW, INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE OTHER THAN AS SET FORTH IN THIS AGREEMENT OR IN THE LIMITED WARRANTY DOCUMENTS PROVIDED WITH THE SOFTWARE PRODUCT.

Cascade Data Systems makes no warranty that the Software Product will meet your requirements or operate under your specific conditions of use. Cascade Data Systems makes no warranty that operation of the Software Product will be secure, error free, or free from interruption. YOU MUST DETERMINE WHETHER THE SOFTWARE PRODUCT SUFFICIENTLY MEETS YOUR REQUIREMENTS FOR SECURITY AND UNINTERRUPTABILITY. YOU BEAR SOLE RESPONSIBILITY AND ALL LIABILITY FOR ANY LOSS INCURRED DUE TO FAILURE OF THE SOFTWARE PRODUCT TO MEET YOUR REQUIREMENTS. CASCADE DATA SYSTEMS WILL NOT, UNDER ANY CIRCUMSTANCES, BE RESPONSIBLE OR LIABLE FOR THE LOSS OF DATA ON ANY COMPUTER OR INFORMATION STORAGE DEVICE.

UNDER NO CIRCUMSTANCES SHALL CASCADE DATA SYSTEMS, ITS DIRECTORS, OFFICERS, EMPLOYEES OR, AGENTS, SUBSIDIARIES, AFFILIATES, OR SUPPLIERS BE LIABLE TO YOU OR ANY OTHER PARTY FOR INDIRECT, CONSEQUENTIAL, SPECIAL, INCIDENTAL, PUNITIVE, OR EXEMPLARY DAMAGES OF ANY KIND (INCLUDING LOST REVENUES OR PROFITS OR LOSS OF BUSINESS) RESULTING FROM THIS AGREEMENT, OR FROM THE FURNISHING, PERFORMANCE, INSTALLATION, OR USE OF THE SOFTWARE PRODUCT, WHETHER DUE TO A BREACH OF CONTRACT, BREACH OF WARRANTY, OR THE NEGLIGENCE OF CASCADE DATA SYSTEMS OR ANY OTHER PARTY, EVEN IF CASCADE DATA SYSTEMS IS ADVISED BEFOREHAND OF THE POSSIBILITY OF SUCH DAMAGES. TO THE EXTENT THAT THE APPLICABLE JURISDICTION LIMITS CASCADE DATA SYSTEMS'S ABILITY TO DISCLAIM ANY IMPLIED WARRANTIES, THIS DISCLAIMER SHALL BE EFFECTIVE TO THE MAXIMUM EXTENT PERMITTED.

Limitation of Remedies and Damages
Your remedy for a breach of this Agreement or of any warranty included in this Agreement is the correction or replacement of the Software Product. Selection of whether to correct or replace shall be solely at the discretion of Cascade Data Systems. Cascade Data Systems reserves the right to substitute a functionally equivalent copy of the Software Product as a replacement. If Cascade Data Systems is unable to provide a replacement or substitute Software Product or corrections to the Software Product, your sole alternate remedy shall be a refund of the purchase price for the Software Product exclusive of any costs for shipping and handling.

Any claim must be made within the applicable warranty period. All warranties cover only defects arising under normal use and do not include malfunctions or failure resulting from misuse, abuse, neglect, alteration, problems with electrical power, acts of nature, unusual temperatures or humidity, improper installation, or damage determined by Cascade Data Systems to have been caused by you. All limited warranties on the Software Product are granted only to you and are non-transferable. You agree to indemnify and hold Cascade Data Systems harmless from all claims, judgments, liabilities, expenses, or costs arising from your breach of this Agreement and/or acts or omissions.

Governing Law, Jurisdiction and Costs
This Agreement is governed by the laws of the state of Oregon, the United States of America, without regard to Oregon's conflict or choice of law provisions.

Severability
If any provision of this Agreement shall be held to be invalid or unenforceable, the remainder of this Agreement shall remain in full force and effect. To the extent any express or implied restrictions are not permitted by applicable laws, these express or implied restrictions shall remain in force and effect to the maximum extent permitted by such applicable laws.


Scanning

Scanning - General Information

Scanning samples is the primary purpose of ALIAS. The program captures information from the particle set you've spread on the scanner, performs an analysis, and formats the resulting information for display and reporting.

To initiate a scan event, follow these steps:

1. Ensure your scanner is turned on. (ALIAS requires the scanner to be placed on a sturdy, vibration-isolated table, and its position to be adjusted so that the glass of the scanner is level in both directions.)

2. Lift the scanner cover and lay a clean, inkjet transparency (rough side up) on the glass surface. (IMPORTANT: remove any opaque tape that may be attached to this transparency before you use it. If you don't, ALIAS may sometimes include the tape as a particle in your dataset, or the tape may obstruct the top half-inch of the scanner glass, interferring with the scanner's self-calibration process that it conducts prior to every scan.) You may see a reminder about this when you proceed with step 5 below. Also be sure that the scanner glass and the transparency are free of dust and other obscuring contaminants.

3. Scatter the particles in the desired scan area. With the Epson Perfection V850 Pro, you need to make sure that the top 1/2 inch of glass (the edge closest to the hinge of the scanner lid) is not obstructed or dirty, and also that no particles are placed in this area. The V850 uses this region to calibrate itself prior to every scan.

Experience has shown that a speedy way to distribute the particles is to:
(1) sprinkle the particles somewhat uniformly over the scan area,
(2) give the transparency a couple of gentle side-to-side or circular shakes, and
(3) use tweezers to nudge touching particles apart or to re-position particles that are out of the scan area.

4. Visually re-inspect the scattered set to ensure that no particles are touching. (Although ALIAS will alert you to particles it suspects of touching, a thorough visual inspection is your best method to avoid having touching particles that could skew your sample statistics. Experience has shown that a final, five to ten second visual scan of the particles before pressing the Scan button is the speediest method for obtaining a valid, final scan.)

5. Lower the lid softly to avoid crushing any large particles and to avoid bumping the base and causing particles to shift. Then click the Scan button on the toolbar.

You may be instructed that it is time to conduct a black and white Verification or a Color Calibration. (If this is your first time using ALIAS, you can ignore these messages while you are testing out your brand new system--but when you start making scans for real use, you need to follow these messages.)

At this point, the Image Scan window will appear. There are two settings you may need to adjust before beginning the actual scan: Scan Area and Shape.

1. Scan Area - Here you choose the size of the region you wish to scan. The number of particles and how you distribute them on the scanner surface will dictate which of the three options you'll want. The smaller the scan area, the quicker the scan.

Once you are sure which scan area you will use most often, you may wish to mark the boundaries on the plastic bordering the scanner glass with a permanent marker or with masking tape. (Never put any marks or tape directly on the scanner glass!) This will help in distributing the particles. (It is possible to adjust the sizes of these three scan areas if other scan sizes will more closely fit your site's needs. Note, however, that the scan areas cannot be wider than five inches and need to be centered from left to right on the scanner glass.)

2. Shape - Your selection here tells ALIAS what particle shape to expect for this scan event. (Note: you can physically change this shape setting after you've already made a scan, but doing so doesn't adjust the measured values for this new shape--you would need to re-scan the sample for that to happen. For example, if you had the shape mistakenly set at "Spheres" when you conducted a scan of Cylinders, changing the shape to "Cylinders" after you complete the scan will not give you the correct cylinder values. You will need to re-scan. A message box warns you of this when you change the particle shape after a completed scan.) With mixed shapes, it's recommended that you manually separate the sample into single-shape samples first.

3. Once you've made and/or verified these two selections, click the Scan button on the toolbar. ALIAS takes it from there. It displays a dialog box showing the progress of the scan. The upper progress bar advances first, showing the progress of the physical scan. There may be a many-second pause if the scanner needs to warm up its light bulb before the scan begins. (The V700 needs to warm its lighting bulb before it scans; the V800 and V850--later models--do not need a lengthy warm-up time.) The speed of the progress bar is governed solely by the scanner hardware, and can take up to two or more minutes for large scan areas. If you press cancel, it may take a few moments for the scanner to recognize the command and to cancel the operation. The lower progress bar begins advancing once the scan is completed, and shows the progress of ALIAS computations. For faster computers, this typically takes only a handful of seconds.

You may see the following window pop up (or something similar to it) after you click the "Scan" or the "Color" buttons. If it appears, simply ignore it--it will soon disappear and the fact of whether it appears or it doesn't has no bearing on the functioning of ALIAS.

Occasionally you may experience a few seconds of inactivity after you press the "Scan" or "Color" buttons. This can happen with the Epson Perfection V700 Photo: the scanner lamp needs to warm up to its operating temperature before scanning. This brief delay should only occur if there has been a significant lull since your most previous scan. (The V800 and V850 are faster as this start delay is shorter: if you'd like to upgrade your scanner model, please contact Cascade Data Systems.)

4. If a hardware problem occurs during the scan, a dialog box will display an error message. Correct the problem and try again. Once the second progress bar has completed, ALIAS will report any problems or warnings. These messages, should you ever encounter any, are discussed in detail in the troubleshooting section. Deal with them as appropriate, and then the scan results will be displayed.


Touching Particles

Following a scan, ALIAS performs various checks on the sample. (Some of the specific checks can be disabled or modified by the options specified in the Options window.) ALIAS normally checks to see if any particles are overlapping (or brushing) the edge of the scan area (these particles are automatically removed); if any particles have excessive curvature; if any particles are too small (e.g.: dust specks); or if any particles are touching each other. See Options | Particles.

ALIAS requires that no particles be touching each other: when two or more particles touch each other, ALIAS will interpret them as being one large composite particle--and the measurements of that composite particle will negatively affect the accuracy of ALIAS.

When ALIAS checks for touching particles and detects suspicious particles, you'll likely be presented with a message box like what is shown below. (Note: ALIAS performs two different independent checks for suspicious particles, and one or both of those checks may display a message box as shown below. If no particles are flagged as being suspicious, then you won't see this message box at all.)

You would then be given several options:

Re-scatter the particles and rescan - If you desire this option, first lift the scanner lid and re-distribute the particles, then close the lid and click this button. ALIAS will automatically re-scan with the Scan Area and Shape parameters you previously chose.

Accept them all - Click this button if you wish to include all suspect particles in the sample and the sample statistics. The suspect particles are highlighted in red.

Reject them all - Click this button to reject all suspect particles from the sample and the sample statistics. The suspect particles are highlighted in red.

Review each of the suspect particles - This feature allows you to manually examine and either accept or reject each suspect particle in turn. If you chose this last option, you will be shown the following message window for each such particle. In the particular case shown below, the two particles (boxed in red) are obviously touching and should either (a) be manually moved and the scan re-done (preferred), or (b) be removed from the sample by clicking "Reject it."

Caution: Removing one or more particles will always affect the statistics of the sample being measured. Cascade Data Systems recommends that you adjust the particles so that none of them are touching and that you then rescan them with ALIAS. Doing so is far better than removing particles from a scanned sample.


Automatic Dimension Correction

With every particle that is scanned, ALIAS has to choose which dimension is its diameter and which is its length. ALIAS uses detailed algorithms to do so, but two-dimensional images do not impart perfect knowledge and no algorithm operating on a two-dimensional image can guage this correctly 100% of the time. (Note that this issue doesn't affect spherical particles. With spheres, ALIAS measures only the diameters, so there's no other dimension that can be mistaken for the diameter.)

With non-spheres the challenge of automatically determining which dimension is the diameter becomes greater when the lengths of the particles are nearly the same size as the diameters of the particles. In a large sample however, if only a few particles have their dimensions reversed--especially if those particles have similar lengths and diameters, it will typically have small impact on the statistics of the sample. Yet in any case, proper technique requires ALIAS users to inspect each scan when it's done to ensure that the particle dimensions are correctly assigned for all particles.

When assessing the sample diameter, ALIAS may ask you to manually enter the Sample Average Diameter through the message window below. This will occur if there were too few particles to generate reliable statistics for the Sample Average Diameter (which occurs if less than 25% of the sample does not have lengths confirmably longer than their diameters, or if there are fewer than three particles present in the sample). The window also appears if you click on the Swap N toolbar button or the Swap N drop-down menu command.

If you have manually clicked on the Swap-N button, you may see the following message window. If you see it, the particles whose dimensions ALIAS proposes to reverse will be colored red.

Clicking on "Inspect Them" in the above message window will cycle you through the particles whose dimensions ALIAS is proposing to swap. Each will be displayed singly, inside a red box as in the following picture. The particle's current diameter is shown as three parallel lines; the length is shown as a single line. If you choose the last option, "Rescatter the particles and re-scan", make sure you rescatter the particles and close the lid before pressing the bottom button.


 Scan Complete

At this point the scan is completed and you may now review the sample that has been scanned. (Note: the data in the grids become red during a scan; when the font turns back to black, then the data is in-synchronization with the just completed scan.)

The right hand side shows an image of the scanned particles. The left hand side contains two grids, the top showing sample statistics, the bottom the individual particles. You can easily re-size either of these grids, the column widths in these grids, or the image size by dragging the appropriate partition between the specific components.

The top grid shows the average, the median, the standard deviation, the weighted average, the weighted median, the weighted standard deviation, and the minimum and maximum values. (If the "St Dv" and "Wt St Dv" labels are preceded by an asterisk, then the standard deviations are given as relative values--i.e., the Standard Deviation is divided by the average value of that parameter (or by the weighted average value, as approriate), and then is multiplied by 100%. See Options | Display | Standard Deviation.) The upper left hand corner of this grid also shows which units are being used: in this case, the "(mm)" indicates the values are given in millimeters.

The bottom grid displays the number of particles currently included in the scanned sample, (e.g.: "No. 24"). It then lists each individual (included) particle. Clicking on a different row will highlight that particle in the current view. Double-clicking will either zoom the image in or out, with the particle corresponding to the row clicked on being highlighted in the image. If you wish to scroll through the list of particles and see where each is located, click in the lower grid, then move your mouse pointer off the grid, and then scroll through the particles with the mouse wheel.

Among the options ALIAS gives you is the ability to review each particle. Clicking on one in the image will cause ALIAS to bound it with a red box, highlight its data in the lower grid on the left, and momentarily display its dimensions close to the mouse pointer. (Note: the dimensions which are momentarily displayed correspond to the last particle clicked on, but they are only displayed after the mouse pointer comes to rest and consequently may be displayed some distance from the clicked particle.)

Double-clicking on a particle will also zoom the image in on the particle, with the diameter being shown as three parallel lines and the length being shown as a single line. ALIAS makes five measurements of the diameter between the outer two diameter lines and averages them together to get the particle diameter. ALIAS determines the particle length by combining . . .
(1) the measurement of the smallest bounding box which contains the particle (the single yellow length-line indicates the length of this bounding box--but don't confuse the red selection box [which you can see in the image below] with the smallest bounding box [which is never displayed within ALIAS and is rarely aligned parallel to the edges of the computer screen]) and
(2) the length of a centerline drawn along the length of the particle.

Clicking on the Magnify / Shrink toolbar button in the upper right is another way to zoom in or out on the image.

You can locate particles by clicking on their entry in the lower grid. The particle that corresponds to that entry will be boxed. In the magnified view, the particle will also be scrolled into view (if necessary).

Clicking on the headings in the lower grid will re-sort the particles from lowest to highest in that dimension. This makes a handy method for locating suspect particles: Click on the Diameter column--particles that are substantially smaller than the rest will be listed first (e.g. any specks or fragments); touching particles are likely to be listed last (e.g. two or more particles that have rolled together and whose collective measured diameter is, typically, higher than that of non-touching particles).

You can save the image as a bitmap by clicking on Options | Capture Image in the menu bar at the top.

It is at this point that the ALIAS user needs to be most attentive to the scan results. The user should verify that the particles have had their dimensions assigned correctly , that no particles are touching , and that no other anomolies have occurred such as any foreign objects or dust being in the scan area. The user should also pay attention to any particles with high curvature to ensure that they are being treated correctly by the ALIAS system. This is not a complete list, but an experienced ALIAS user must be alert for the unexpected. If something feels wrong, or if a reading seems out of the expected range, you should investigate the cause.


 Quick Count

If you want a Quick Count of the approximate number of particles in the scan area, you can get one by clicking on File | Quick Count in the menu bar at the top. When you do so, you will see a message similar to the following:


Excluding & Including Particles

 Excluding and Including Particles

You can individually exclude (and re-include) particles from the sample by highlighting them, and clicking on the appropriate Remove or Add toolbar button at the top.

Clicking on the Remove button while a blue particle is highlighted will color the particle green, remove its values from the lower grid, and recompute the values in the upper (statistics) grid.

You can re-include a removed particle by highlighting it and clicking on the Add toolbar button, also at the top.

(Remove will only be activated as an option if an included particle is currently hightlighted; Add will only be activated as an option if a removed particle is currently highlighted.)

You can also exclude (or re-include) a range of particles at once by clicking on the Range toolbar button at the top. When you do so, a dialog window will appear. Complete the sentence as desired and click OK. If a Color scan has also been completed, you can also exclude particles on the basis of color by clicking on the "Color Analysis" button at the bottom of this dialog window.

Be aware of what happens when you remove particles from a scan. Removing short particles with change the sample statistics, removing thin particles will change the sample statistics, removing touching particles will change the sample statistics. If your sample is meant to be representative of a larger batch, be aware of the impact of such actions!


Correction Dimensions

 Correcting Dimensions

When the scanning is complete, you then have to inspect the results.

A useful technique for inspecting the results of a scan is as follows:
(1) Sort the particles by diameter (by clicking on the "Diameter" heading label on the diameter data column in the lower left grid).

(1a) Scroll to the top of the list of particles in the lower left grid and--one at a time--select those particles that have the thinnest diameters. When you select the measurements for a specific particle, the particle itself will be highlighted by a red box in the image at the right. (Double-clicking in the lower left grid will zoom in on the current particle so that you can see its length and diameter lines.)

(1b) Visually inspect the particle image and also, if need be, the real particle on the scanner glass to ensure that its dimensions are properly assigned.

(1c) Once you have inspected the thinnest diameter particles, scroll down to the bottom of the lower left grid and similarly inspect the fattest-diameter particles.

(1d) When looking at both the fattest and thinnest particles, be sure to check that two or more particles haven't rolled together to the point of touching, and consequently are forming one (possibly oddly shaped) "giant" particle.

(1e) Depending on the sample, there could be a potential for particles with more average diameters (i.e., not the thinnest and not the fattest) to have their dimensions reversed (especially if the diameters and lengths of the individual particles are similar in measurement, and especially if the particles are near the left and right edges of the scan area); or for two or more particles to touch and the resultant "giant particle" to have an average diameter measurement.

(1f) And keep an eye on the average sample diameter: if particles have their dimensions reversed, it will impact not only the average length value but also the average diameter value.

(2) You can do similarly with the length: sort the particles by the length and look at the shortest and the longest.

(3) As you become more familiar with ALIAS, and with how it behaves with various species of catalysts, you'll develop a good sense for how thoroughly the results need to be inspected under various circumstances.

(4) Another useful technique is to zoom in on the image so that the length-lines and diameter-lines are visible, and then to use the scroll bars to pan across the entire image to make sure everything looks good. (When you do so, it is useful if the Maximum Zoom is set to "1" so that more of the image is viewable at a time.)

Particles whose dimensions are incorrectly assigned, and particles that are touching each other, will negatively affect the ability of ALIAS to generate accurate statistics for the sample, so you must correct these issues.

Dimension Switching Tools

You can reverse the dimensions for an individual particle by ensuring that the affected particle is boxed and then by clicking on the "Swap 1" toolbar button at the top. Clicking the Swap 1 button will then swap the length measurement with the diameter measurement of the selected particle. The following figure depicts this action.

Clicking the Swap 1 button executes the swapping algorithm and results in an information box confirming the action has taken place, specifying the data point number of the particle that was affected, and what the new data point number of the particle will be. Note that the new diameter value will not exactly match the old length value, and vice versa. This is because ALIAS uses sophisticated algorithms to measure diameter that are different from its algorithms for measuring lengths.

If you discover that several particles have reversed dimensions (which experience has shown is most likely to occur when particle diameters and particle lengths are similar), you may wish to try to swap several particles at once. You can click on the Swap N toolbar button at the top and follow the instructions in the popup window that appears. Before doing so, we recommend that you first reset all of the particle dimensions to what they were immediately upon completion of the scan, for it's best to begin complicated actions like this with a clean slate. You reset the particle dimensions by clicking on "Particle" in the menu at the top and then selecting "Reset Dimensions".

See the Automatic Dimension Correction page for a few more details on Swap N. Always be careful when using the Swap N action: it factors in more than just the dimensions, so its effect is difficult to predict. In any case, when you're done with all of your swapping actions, make sure that all particles have their final lengths and widths properly assigned.

When using the Swap N button, if any particles meet the swap criteria, ALIAS will give you the option to approve or cancel the dimension swapping it proposes. Cascade Data Systems recommends you choose the "Inspect Them" option.

Alternatively, it may happen that no particles meet the Swap N criteria and that therefore no dimensions will be swapped, as indicated by this following message.

Footnote: When ALIAS completes a base scan, it attempts to assign the dimensions of each particle as best as it can using automatic algorithms. This process is not foolproof, and that is why the dimensions should be checked after each scan as discussed above in the red-text section. Note, though, that ALIAS uses two different algorithms: one for cylinders and a different one for lobed particles (bilobes, trilobes, quadlobes). Lobed particles, being constructed out of two-to-four smaller cylinders lying side by side, are naturally more jagged at their long ends than cylinders are, simply because there are two-to-four cylinders that have been "broken" at the long ends of the particles, and those cylinders don't always "break" at exactly the same place. Because of this, ALIAS can use an additional measurement--the jaggedness at the ends of the particle--to help it decide which dimension is length and which is diameter. The Swap_N algorithm, however, ignores this jaggedness effect. (There is a setting that can tell ALIAS to also ignore this jaggedness factor during its automatic dimension-assigning algorithm when dealing with lobed particles. If you'd like to use that setting, contact Cascade Data Systems for information on how to do so.)

At any time you can go back to the original dimensions which ALIAS assigned to the particles before any dimension swapping actions were taken. Do this by clicking on Particle | Reset Dimensions in the Menu Bar at the top of the Scan window.

Once all swapping actions have been completed, re-inspect the ALIAS image to ensure that all swapping actions have been completed as expected. Full accuracy within ALIAS requires that the dimensions of all particles are correctly assigned.


Swapping Dimensions Example

 Swapping in Magnified View

If you want to examine individual particles for possible dimension swapping, select the particle in the image window by clicking it. Then click the Magnify button on the image scan window to isolate and enlarge the particle on the image screen. (You can also magnify a particle by just double-clicking on it in the image window.) The particle will appear bound with a three-band array (denoting diameter measurement) and a single-band (denoting length measurement).

Clicking the Swap 1 button executes the swapping algorithm and results in the normal information box confirming the action has taken place, specifying the data point number of the particle that was affected, and what the new data point number of the particle will be. It also reflects the swapping on the image screen by switching the band presentation.

To return the image screen to its original size, click the Shrink button on the image scan window tool bar. (Or just double-click on the magnified particle in the image window.)


Saving Scans

When you're satisfied with the scan results, you can save the data into a file by clicking the Save button on the Image Scan window toolbar. Doing so will display a properties window in which you enter information for identifying this sample scan. When you've completed these entries, click the OK button. (Information entered on this form for earlier scans during this session will remain, simplifying the task of recording several similar scans on the same day.) When you save a Scanned sample, ALIAS retains the size and partition settings of the scan window for use the next time you open a Scan window.

The headings "Job ID", "Sample ID" and "Operator" can easily be changed in the Options window. (See Options | Report | Heading Labels.)

You can easily create a new "catalyst type" by simply typing in a new word or phrase into the "Catalyst Type" drop-down box. Unwanted types can be deleted in the Options window. (See Options | Display | Deleting Catalyst Types.) Cascade Data Systems recommends you only measure one type of catalyst at a time. See Accuracy.

Clicking on the "Save" button will bring up a standard save dialog box for entering a location and filename for the saved file. The default directory can be set in Options | Scan | Default Data Path.

If you attempt to exit the scan window by clicking the Close button, ALIAS will ask you if you want to save the scan event. Clicking Yes will generate the same Save As dialog box as in the above figure. Clicking No will abandon the scan event.


Color Scanning

Making Color Scans

ALIAS has an ability to also measure the color of particles. Before this can be done, a normal "base" scan has to be completed first. After you have done so, and assuming color scanning is enabled, you can then click on the Color scan button and conduct a color scan. When you do so, the following message will first pop up:

If there is any chance particles have shifted or rolled since conducting a base scan (e.g.: if you have bumped the scanner in the meantime), you should first conduct another base scan, otherwise the color measurements will be inaccurate.

When the color scan is complete, additional columns will be added to the two grids on the left hand side. (You may need to scroll the scrollbars in order to view these columns.) Three of these columns are the CIE X, Y and Z values. The next three columns (by default) are three commonly used color measurements. You can define any color measures you wish in the Options window.

Once a color scan has been done for a particular sample, particles can be removed and included in the sample on the basis of the measured (and computed) color values. You can include/exclude particles on the basis of any single measure in the usual way by clicking on the Range toolbar button at the top.

Or, you can click on the now-enabled Color Analysis button at the bottom. This latter option permits you to include or exclude particles depending on how far their color is from a specified color value in a three-dimensional CIE XYZ color space. These color "fingerprints" can be saved and later be selected from the dropdown box in the center.

Note: if you swap the dimensions of particles after a Color scan has been conducted, this will not alter the color values. For greater color accuracy, make sure all dimension-swapping is completed before performing Color scans. [When measuring color, ALIAS does not average the color across the entire particle, but instead reads the color only from the central portion of the particle in order to prevent glints and shadows from adversely affecting the color measurement.]


Saved Files

Saved Files - General Information

When a scan is completed, ALIAS permits the user to save the data collected from that scan in a file on the hard drive. The file will record all of the information and calculations pertaining to that scan. The file can later be re-loaded and the information reviewed and some of the values can even be adjusted, as the user sees fit.


Opening Files

Open a saved file by clicking Open on the toolbar, or by selecting File | Open on the menu bar. Doing so will display a dialog box from which you can select the file desired.

The default location where ALIAS looks for saved files is set in Options | Scan | Default Data Path.

Opened files are shown within the opening form of ALIAS according to the Multiple-Document Interface (MDI) standard. Accordingly, when you click on the Window menu item, you will see several options for easily organizing the open data sets:
(1) You can Cascade all of the open data sets so that they are shown in a nice, easily selectable layout.

(2) You can Tile all of the open data sets so that they are arranged with equal viewing area within the opening form of ALIAS.

(3) You can Minimize All of the open data sets. Once minimized, you can individually restore any of them to a larger size by clicking on it.
(4) And finally, if you lose sight of a particular data set behind the others data sets, or if you maximize them within the MDI parent form so that only one is visible at a time and you want to switch to a different data set, you can easily do so by checking the desired data set filename in the list at the bottom.

This type of functionality, with a little bit of practice, can make the MDI format a very powerful one.


Saving File Changes

You can save changes you've made to a file by clicking Save on the save file toolbar, or by selecting File | Save on the program menu bar. (The only permissible changes are to the Sample Data Identification entries, the parameter displayed in the histogram, the histogram slider bar setting, and the histogram bin information. When you save changes to a file, ALIAS also records the physical size and partitions of the window, and all future saved file windows are opened with the same dimensions until this is again changed.)

You can also save a copy of the changed file, while retaining the properties of the original file, by selecting File | Save As from the menu bar. This will yield a dialog box from which you select the location in which you want to save the changed file. Note that if you wish to save the earlier version, you must give the new file a different filename than the original, unless you're saving it to a different folder.


 Exporting Scan Data

You can export the raw data from a scan directly into a text file. To do so, you must first have a saved file open. You then select File | Export | Data on the menu bar. Doing so displays a dialog box asking for a text file name and location. Select the directory desired and type in a file name, then click Save on the dialog box.

Microsoft Wordpad (R) will launch and display the generated text (.txt) file, which can later be imported into Microsoft Excel (R) or other software applications for further analysis and/or customized reporting. The data is exported as text, the values being given in comma-delimited format: length, diameter, area and curvature (in the current units of measurement), one line for each particle, with a header on the first line. (Spherical samples do not include the length number.) If a color scan has also been done, there will be additional columns of values. [If the chosen filename belongs to a file that is currently being displayed by WordPad, then WordPad will pop to the foreground still displaying that older version of the text file, but the newer data will have been written successfully to the hard drive under the chosen filename, (just make sure not to save the current contents of WordPad, or you will overwrite the data just written to the hard drive).]

The default location into which the file will be exported is the \ALIAS\Data folder as set in Options | Scan | Default Data Path.

Another way to export data into Microsoft Excel (R) is through the Report feature--see Customized Reports. (See also Options | Report | Selecting Custom Report.)


 Explanation of Statistics & Formulas

When you view a saved file, a window is displayed which contains three different regions:

1. Statistics. The table in the upper left-hand corner displays statistical information for the sample as a whole, in the units of measurement (i.e., millimeters, centimeters, or inches) selected under Option | Display | Units of Measurement. This unit of measurement is shown in the uppermost left-hand cell of the table.

In the rows beneath it, ALIAS displays the following statistical measurements for the sample. (In the equations that follow, "p" represents the parameter of interest, e.g., "length", "diameter", "curvature", etc.; "N" represents the number of particles in the sample (not including any that were excluded); and V represents the computed volume of a given particle, based on the pixel area and diameter of the particle. Sum ( p ) = the sum of the value p for all N particles in the sample.

Avg - the average: sum ( p ) / N.

Median - the median: sort the values p by increasing p, and report the parameter for the (N/2)-th particle.

Std Dev - the standard deviation: the sqrt { [ sum ( square p ) - N * square ( avg p ) ] / ( N - 1 ) }. If "Std Dev" is preceded by an "*", then the above formula is divided by the average p and then multiplied by 100%. (See Options | Display | Standard Deviation.)

Wt Avg - the weighted average: sum ( p * V ) / sum ( V ).

Wt Median - the weighted median: sort the values of p by increasing p, and starting with those particles with the smallest values of p, sum the computed V until you reach the particle that is halfway to the total sample V, and report that particle's p.

Wt Std Dev - the weighted standard deviation : the sqrt { ( [ sum ( V * square p ) / sum ( V ) ] - [ square ( average weighted p ) ] ) * sum ( V ) / [ sum ( V ) - avg V ] } . If "Wt Std Dev" is preceded by an "*", then this formula is divided by the weighted average p and then multiplied by 100%. (See Options | Display | Standard Deviation.)

Min - the minimum value: the lowest value of p.

Max - the maximum value: the largest value of p.

Spread - the spread in values: the largest value of p minus the lowest value of p.

Moments - the moments of the sample are intermediate values that are used to compute the Skewness and the Kurtosis.
The first moment of p (about the mean) = sum [ p - average p ].
The second moment of p (about the mean) = sum { square [ p - average p ] }.
The third moment of p = sum { cube [ p - average p ] }.
The fourth moment of p = sum { fourth power of [ p - average p ] }.
Each of these sums is divided by the number of particles, N, to get the moments.

Skewness - the skewness of p is computed from the moments of the sample. The skewness = third moment of p / square root { cube [ second moment of p ] }.
Skewness is a measure of the lack of symmetry of a distribution. A skewness of 0 corresponds to a symmetric distribution. If skewness is < 0, the sample is skewed to the left and has a longer tail to the left of the mean than a normal distribution does. If skewness is > 0, the sample is skewed to the right and has a longer tail to the right of the mean than a normal distribution does.

Kurtosis - the kurtosis of p is computed from the moments of the sample. The kurtosis = ( fourth moment of p / square [ second moment of p ] ) - 3.
Kurtosis measures the extent to which a distribution is peaked or flat. If the kurtosis is 0, the distribution resembles a normal distribution. If the kurtosis is > 0, the sample has more values concentrated near the mean than a normal distribution does. If the kurtosis is < 0, the sample has fewer values concentrated near than mean than a normal distribution does.

2. Individual Particle Data. This table is located in the lower left-hand section of the saved file window. It displays the various parameters for each particle (that remained included) in the sample. This table can be sorted by any of the headings, such as length, diameter and area. To do so, click the column header of the parameter you wish to sort on.

If the first column, which contains the index of the particle in this sort order, is asterisked, then that particle had its dimensions swapped after it was scanned (before it was saved). You can hide these asterisks by selecting Dataset | (Un)Mark Swapped from the menu bar when this given saved file is selected. (You must do this individually for each saved file. This "(un)mark swap asterisks" option is reset each time a saved file is loaded. You can toggle this off by going to Options | Particles.)

You can also see a table of the particles that were removed from this sample by clicking on Dataset | Show Removed in the menu bar.

If no particles were removed, you will see the following message.

3. Analysis Panel. The right-hand side of the saved file window can show various views of the data. Select the view you wish to see by clicking the appropriate toolbar button or by choosing the desired view from the Dataset command on the menu bar. The default data view is the Histogram, and will be the initial view displayed when a saved file is opened.

At the bottom of the window is a Status Bar that displays three pieces of information: the Job ID, the Sample ID, and the number of particles included in the sample--the Particle Count. The diagonal lines in the lower right corner can be dragged to resize the saved file window.


Sample Properties

ALIAS stores information regarding the scanned samples, both sample identification information and scan information that applies to the sample as a whole. You can view this information by clicking Sample on the toolbar or by clicking Dataset | Sample on the menu bar.

Doing so displays a form with two tabs: File Properties and Scan Information. See File Properties and Scan Information for more details.


File Properties

This window displays the current identification information for the selected file. It initially contains the information that was entered on the Data Indentification Form after the original scan was completed. You can modify this information by clicking the Modify button.


Scan Information

To view this information for the current saved file, click the Scan Information tab.

It contains the following information: (Some of these will not be present if they do not apply to the current sample.)

Number of Particles - this is the number of particles currently included in the sample.

Scan Date - the date the scan was made.

Resolution - the dpi (dots per inch) at which the scan was made. (This should always be 600 dpi.)

Scan Area - this is the area in which the particles were spread when the scan was made.

Standard Error - this is the standard deviation divided by the square root of the number of included particles in the sample. Standard Error = Std Dev / sqrt ( N ).

Average Length / Average Diameter - this is the average sample length divided by the average sample diameter, sometimes call the L/D ratio.

Local Diameter Uniformity - this is a measure of how much the diameters of the sample vary on single particles. For a given particle, it is the standard deviation of five parallel diameter measurements made near the center of the particle. A high number means the particle does not have a very uniform diameter. The value for the entire sample is calculated by averaging the uniformity over the entire sample and then dividing by the average sample diameter. When a Subset is created, the new saved file retains the Uniformity computed for the parent file--it is not recalculated.

Sample Jaggedness - this is a measure of how jagged the ends of the particles are. (It isn't computed for Spheres.) The larger the value, the more jagged the sample particles are. It is calculated for each particle as ( bounding box particle length - chord particle length ) / ( particle width ). This is averaged over all particles whose curvatures are not excessively high (e.g., whose chord lengths would otherwise unfairly inflate this value). If there are not enough "good" particles to determine the sample jaggedness, it shows as "n/a". When a Subset is created, the new saved file retains the Jaggedness computed for the parent file--it is not recalculated.

Number of Particles Removed - this is the number of particles that were removed from the sample for various reasons before the statistics were calculated. They may have been removed for straddling the edge of the scan area, for being too small, or for being "touching" particles.

Removed Particle Area - this is the total area of all of the particles that were removed from the sample, in the units being used: square millimeters, square inches, or square centimeters.

Scan Threshold - this is an internal number used by ALIAS. (It is the threshold that is used to determine which pixels in the scanned image belong to particles, and which belong to the background. Ignore this value.)

Particle Shape - this is the particle shape that was selected before this scan was made. This setting affects how various measurements are interpreted. It is important that this value be set correctly before scans are made.

Parent File - this only shows up if this file was created from another file through the use of the Subset analysis tool.


Analysis

 Analysis - General Information

A saved file contains the data acquired from a single scan. You can arrange and view the information contained in a saved file in several different ways.

Histogram - this displays bar graphs of any single parameter that was collected for each particle, such as length, diameter and curvature measurements.

Report - this generates a customized report which can then be printed. (Note: clicking on the Report button and then clicking the "Save" button is a quick way of exporting the saved file data straight to a Microsoft Excel (R) spreadsheet.)

Image - this shows an image of the particles as seen by the scanner during the scan event. It also shows which particles, if any, were removed or had their dimensions swapped during the scan process. (Note that images might be unavailable if this option has been turned off. Also note that no further dimension swapping or removing/including of individual particles is permitted once the user has left the original scan window and saved the data file.)

Subset - this permits you to split the sample into two subsets based on a single parameter, such as length or diameter. It is useful in determining what a sample would look like if you selectively removed particles not meeting a certain criterion.

Compare - this permits you to perform a side-by-side histogram comparison of up to eight different samples.

Values - this displays the sample statistics and permits you to copy and paste individual values. (This feature is only available on ALIAS version 3.7.4.0 and later.)

Copy - this button copies pre-determined values over to the clipboard for pasting into other applications with the "control + v" Windows paste command. (This feature is only available on ALIAS version 3.8.5.0 and later.)

Access these various views by clicking Dataset on the menu bar and then selecting the desired view...

...or, by clicking the appropriate button on the toolbar at the top of the file window.

Note:
--By clicking on "Show Removed" from the Dataset entry of the menu bar, you will see a table listing the measurements of the particles that have been removed from this sample.
--By clicking on "(Un)Mark Swapped" from the Dataset entry of the menu bar, you will either turn off or turn on the asterisks that bracket the particle number of those particles whose dimensions have been swapped by the ALIAS user. Note that is applies only to the currectly active data file: the other data files will be unaffected.


Histograms

View your particle information in histogram format by clicking Histogram on the saved file toolbar, or by selecting Dataset | Histogram from the program menu bar. This is the default view when you open a saved file.

The histogram panel has five regions.

1. Parameter Radio Box - this is where you can see (and change) which parameter is being graphed. The default is to start with the length (diameter for spheres). This setting will be saved if you choose to save the changes to the saved file when you exit.

2. Histogram - this is the dynamically updated histogram. A histogram is a bar chart. Along the bottom (X-axis) of the chart are listed several bin boundaries. The histogram shows the "number" of particles whose dimensions fall within that bin.

For example, in the top figure on this Help page, the histogram parameter is set on Length (at the top). The bottom axis of the histogram shows eight bins: 0-to-1, 1-to-2, 2-to-3, 3-to-4, 4-to-5, 5-to-6, 6-to-7, and 7-to-11.47. (These bin boundaries are given in millimeters in this example.) Plotted with the maroon bars is the percentage of the sample's particles whose lengths fall within those various bins. (More precisely, the particle's length must be greater than the lower limit and less than or equal to the upper limit to be considered falling with a particular bin.) For instance, in the above example about 4% of the sample particles have lengths between 2 and 3 mm. About 13% of the sample particles have lengths between 3 and 4 mm. ALIAS computes the heights of the maroon bars by counting the number of (included) particles in the sample whose lengths are between the specified limits, and dividing this by the total number of particles in the sample (ignoring any particles that were excluded from the sample during the scanning process and by any user actions that followed), then multiplying by 100%.

The green bars show the weighted percentage. This is calculated by summing the total computed volume of the particles whose dimensions are within the given bin, and then dividing that by the total computed volume of the sample. Because those particles with the smallest dimensions are usually the particles with the smallest volume, they generally make up an even smaller percentage of the sample by volume than they do by number. Conversely, the longest particles make up a larger percentage of the sample by volume than they do by number. That is why the green bar in the example above that is showing for the 2-to-3 mm bin drops to 2% (from 4%), and why the green bar in the 7-to-11.47 mm bin icreases to 15% (from 10%).

Note: if negative values occur (only possible when using color equations), the histogram will not work correctly. Take one of the corrective steps recommended under Color Equations.

3. Modify Histogram Bins - Click on this button to create a new histogram bin scheme for the currently selected plot parameter (e.g., length, diameter, curvature). Doing so takes you to another window.

4. Bin Scheme Drop Down Box - This drop-down box allows you to choose a different histogram bin scheme from among those previously created with the Modify Histogram Bins button. This setting will be saved if you choose to save the changes to the saved file when you exit.

5. Bin Slider Bar - The slider bar permits you to change the number of bins that are shown in the histogram. There will always be at least one bin, and there can be as many as 200 bins, though of course it will be impossible to see all 200 bins clearly. The number of bins plotted is shown by the number to the right of the slider bar. (Set the default value for this slider bar by going to Options | Report | Number of Histogram Bins.) The right-most bin is always increased (if need be) to include the largest valued particle in the sample. The other bins are created according to the currently selected histogram bin scheme. Which bin scheme you have selected will be saved if you choose to save the changes to the saved file when you exit.


Modify Histogram Bins

When you click this button, the following window is displayed.

By clicking the appropriate parameter at the top, you select the parameter for which you wish to modify bin schemes. The drop down box will then contain the bin schemes currently available for this parameter.

If you wish to create a new bin scheme, click Create. If you wish to edit the currently selected bin scheme, click Edit. Clicking either of these will display the Histogram Bin Scheme window.

If you wish to delete the currently selected bin scheme, click Delete.

Mark as Default will cause all future scans to start with this bin scheme for this parameter.

Close will return you to the Histogram display.


Bin Schemes

In this window you create or edit existing bin schemes. Type any character string you wish, and select Accept, Help, or Cancel when desired.

The pop-up Help window tells how to create valid bin schemes. The above image contains an instructive example: the bins for this scheme will be 0 to 4, 4 to 5.5, 5.5 to 8, 8 to 12, and each bin to the right of 12 (if they are displayed), will be 4 wide. Giving schemes a name can be very helpful.

(If you're in Europe and you use a comma for your decimal separator, then use periods as value separators when creating new bin schemes.)


Report

To view a report of the sample, click Report on the saved file toolbar, or select Dataset | Report from the program menu bar.

In Options | Report | Report Style, you can choose which customized report ALIAS will generate. ALIAS uses a Microsoft Excel (R) spreadsheet to generate a report. Tell ALIAS which spreadsheet to use as its template in Options | Report | Selecting Custom Report.

ALIAS ships with Microsoft Excel (R) pre-installed, and it comes with two customized reports: StandardReport2021.xlsx and LengthDiameterReport2021.xlsx. (If Excel is removed, ALIAS will cause an error when trying to generate a report.) You may modify these Excel spreadsheets to create your own customized reports. (Do not alter the originals, however, so you can reference them in the future if you need to.)

When a report is loading, you will see the following progress bar:

Note: If your computer processing power or memory is being overtaxed, you might get an error message saying that the print preview image won't be displayed. What's happening is that Excel is copying the report preview to the clipboard but then Excel isn't releasing its hold of the clipboard quickly enough so that ALIAS can get ahold of the clipboard contents. At worse, though, this might just mean that the print preview image might not display. The Print and Save buttons, though, should still work just fine.

If this problem persists, there's a setting that an experienced computer user can add to the ALIAS.INI file to tell ALIAS to wait a bit longer for the clipboard to be freed up. First, create a backup copy of your ALIAS.INI file. Then open the ALIAS.INI file with the Notepad.exe program, scroll down to the [Report] section of the file. Immediately below the [Report] line, insert a new line that says: (Don't insert any leading spaces before the "S".)
Sleep=2000
(ALIAS uses 1000 for this setting by default--one second, or 1000 milliseconds. You could also try other values, maybe 1500 or 3000, etc.)

When ALIAS is done generating the report, an image of the report will be displayed on the screen.

You can print it from here, or you can save it. Saving it is a easy way of exporting ALIAS data directly into Excel. A dialog box will ask you for a file name to save the Excel spreadsheet under. Later you can load the file inside Excel.

If you look at one of these saved Excel files, you can easily see how the data is exported into Excel through the chosen report template. Starting in cell AA1, you will find all of the data that ALIAS has exported. Each cell that receives data has a name assigned to it, or it is part of a named range, as appropriate. You can use these names to customize reports for your ALIAS worksite, but you'll need the help of someone who is trained on Excel to do this accurately. When you're finished, make sure that every change, every formula is correct: you don't want wrong information getting into your reports!

For instance, typing the following line
=IF(Primary_Catalyst_Type<>"Unspecified",Primary_Catalyst_Type,"")
into a cell that's within the designated Excel print area, will print the value contained in cell Primary_Catalyst_Type--but only if its contents is not equal to "Unspecified".

You can also include histogram images in your report by modifying cells AJ2 to AU2. Typing a cell name (say, "$C$5") in one of these cells instructs ALIAS to copy an image of the corresponding histogram into the Excel spreadsheet such that its upper left hand corner is in that designated cell. The Final Width and Final Height rows tell ALIAS how to size that histogram. More adjustments are available to give you additional control over the image size: see the Report tab of the ALIAS Options window for more details. The "Current" column (AJ2) is used if you wish to print whichever histogram is currently being displayed winthin the ALIAS program, as determined by the radio button that currently happens to be selected when you click on the Histogram tab. The "Image" cell column (AU2) is for the sample image.

All of the information is exported into the Excel spreadsheet, and is done so in a very organized manner. A little study and experimentation will show you precisely where everything is placed--just remember to look at the name assigned to each cell, or range of cells. And, again, be absolutely certain that the correct values are being copied into the desired places!


Image

You can view the same image by going to the Image view. Doing so will display an image of the scanned particles. Included particles will be shown in black or green (the green ones have had their dimensions swapped). Excluded particles will be shown in red.

You can zoom in on the image by double-clicking anywhere on it, by clicking the Magnify button, or by double-clicking a particle row in the lower left-hand table. Zoom back out in the same way (the Magnify button will now be called the Shrink button).

You can Select a particle by clicking either in the image or in the table in the lower left-hand corner. Doing so will draw a red rectangle around the corresponding particle in the image and highlight the parameters of that particle in the lower left-hand table. If you hold the mouse still after clicking on a particle, its dimensions will be displayed in a pop-up square next to the mouse pointer. "L:" with be the Length; "D:" will be the Diameter.

When a particle is Selected while the Image is Zoomed in, a single red line will be drawn through the red selection rectangle. This line indicates the angle along which the long axis of the particle lies, the Length dimension. (The line may not be drawn exactly down the center of the particle; it is there only to indicate the angle.) The dimension measured at right angles to this line is the Diameter. Spherical samples will, of course, not have any axis crosshair drawn.

You can not make any changes to the sample from this view; it is displayed for reference purposes only. (Note: you can choose not to save this image in the saved files and thereby reduce the ALIAS file size. See Options | Scan | Saving Scanned Image.)


Subset

Clicking on this view will bring up a panel in which you can split a sample into two subsets on the basis of one parameter (e.g., length, diameter, curvature).

The panel initially displays two indentical histograms. (The histograms are for the same parameter, they use the same bin scheme, and they display the same number of bins as the single histogram in the Histogram view.) The two edit boxes at the bottom initially contain the smallest and largest values of the indicated parameter in the sample.

Splitting the sample into two subsets is easy: simply type in the values in the edit boxes that are desired and click on the Compute button. In the following example, 7.8 was typed into the first edit box. Note that both histograms still show particles in the 6 to 9 mm bin because there were some particles a little bit bigger than and a little bit smaller than 7.8 mm.(You can type values into both edit boxes if you wish to exclude particles from both ends of the spectrum.)

After Compute is clicked, the top histogram contains all those particles that are still included, while the bottom histogram contains all those particles that were excluded.

You can save either or both subsets by clicking on the Include or Exclude buttons. (If your window is sized too narrowly, one or both of these buttoms might be off the screen.) Doing so brings up a save file dialog box. The new file will now list the parent file name under Scan Information.


Compare

When you switch to the Compare view, ALIAS will ask you for a Legend Label for the currently opened saved file (and will offer the filename as a suggestion). Either accept this, or enter a different label and click OK.

When you have done so, a histogram will be displayed (with the same settings as the current histogram in the Histogram view). You can adjust this histogram just as you can the histogram in the Histogram view by selecting a different parameter, modifying bin schemes, choosing a different bin scheme, or changing the number of bins displayed. You can also decide whether to display the number percentage histogram bars, or the weighted percentage histogram bars. (Note that if you load a file that didn't include color data, all color values for that file will default to 1.0.)

The real power of this Compare view is the ability to compare up to eight saved files side-by-side. To load another saved file into this panel, click on the Add Data from a File button. A window will appear asking for the name of the desired file.

When you click Open, ALIAS will ask for a Legend Label for the new saved file and then a second set of histogram bars will appear to the right of the first set.

If you wish to remove any of the saved files from this Compare view, click on the Clear Chart button. In the window which appears, place an "x" to the left of those saved files you wish to remove from the panel. (You will, of course, not be able to remove the saved file that you are currently viewing from this Comparison view.)

You can then print the final comparison histogram by clicking the Print button. The top of the report will list the pertinent information on each saved file that is being compared.


Values

When you click on this toolbar button, ALIAS displays the sample statistics and permits you to copy and paste individual values by highlighting the values in a box and selecting Control + C.


Copy to Clipboard

When you click on this toolbar button, ALIAS copies various values from the current data file into the clipboard. Upon doing so, the user can switch to another application and insert that data into that application by using the "control+v" keystroke combination--that is, by using the standard Windows paste feature.

By default, a message window will display letting you know that the values have been copied. You can turn off this window by unchecking the appropriate box in the Options feature.

You can select which values are placed into the clipboard, and in which order, and using various separator characters (a space, a comma, a tab, or a carriage return). See the Options settings for further information.

Be careful when pasting this information into other applications, for those applications may alter the incoming data without your realizing it. (As an example: if the Region settings for your Windows 10/Windows 11 OS is such that your decimal separator is a comma, and if you paste your ALIAS data into Microsoft Excel, and if Excel is set up to interpret commas as thousands-separators, Excel might move those commas so that they are in the "right" place, and thereby change the values of the data by one or more factors of ten. Test everything!)


Verification, Self-Test, and Color Calibration

 Verification, Self-Test, and Color Calibration - General Information

ALIAS comes ready to use. The scanner is calibrated by Cascade Data Systems when it is shipped to the user.

As time passes, you may wish to verify that ALIAS is still performing as it is calibrated to do. For this purpose, ALIAS ships with a set of about 50 metal Verification Rods. See Verification for more details.

We also strongly recommend that you run the ALIAS self-test after every time that Microsoft Windows applies any updates to the OS or to any other settings or programs on the computer. (The self-test is only available in ALIAS versions 3.7 and later.)

If you wish to use ALIAS to measure the color of particles, we recommend you use the included Color Checker to periodically calibrate your scanner. See Color Calibration for more details.

ALIAS displays reminder windows periodically to inform the user that it is time to conduct another verification and/or calibration. See Options | Verification for more details. (If you wish to suppress these reminder windows, you can increase the reminder frequency, and then go to the Admin2 tab in the Options window and click on the "Reset Verification Dates" button.)


Initiating Verification, Self-Test or Color Calibration

 Opening the Verification, Self-Test and Color Calibration Window

Open the verification, self-test, and color calibration window by either clicking Verify on the toolbar or by selecting File | Verify on the menu bar.

Detailed information on how to conduct these tests and calibrations is available under Performing Self-Test and Verification and Performing Color Calibration.


Performing Self-Test and Verification Rod Scan

 Performing Self-Test and Verification

To perform a Self-Test and a Verification, you must first open the Accuracy Verification window.

To perform only a Self-Test, click on the Run Self Test and Scan Verification Rods button on the bottom of the window. (In ALIAS versions before 3.7, all you can do is Scan Verification Rods. The Self-Test was added for use with Microsoft Windows 10, an operating system that Microsoft can update at any moment. Earlier Microsoft operating systems require users to download updates manually, and are much less likely to affect key functions.)

When you click the indicated button, the following window will appear:

The Self-Test takes only a few seconds to run. While it is running, you will see the following window with two progress bars. (Do not interact with this window; just wait for it to finish.)

When it is finished successfully, you'll see the following window:

(Should the self-test fail, it means that ALIAS is no longer running as expected. You could try removing any recently applied OS updates to see if that corrects the problem: this might, however, leave your system vulnerable or unstable, so you should follow up with Microsoft about the effect of not installing any particular update.)

When the Self-Test is finished, ALIAS will then proceed to perform a Verification Rod scan. You will see the following window. If you wish to skip over the Verification Rod scan, you can simply click Cancel.

To perform a Verification, scatter your verification rods within the verification scan area, (1) verify that the specified length and diameter of your verification rods is entered correctly on the left-hand side, that no rods are touching each other, and then (2) click OK to perform the scan of the Verification Rods.

(The "Particle Shape" button at present does nothing: in the future, Cascade Data Systems may provide Verification Rods that are not of "cylinder" shape, but to-date only cylinders have been provided.)

The Verification Rods currently being shipped with ALIAS have the following specified dimensions:
Length: 5.8 mm +0/-0.20
Diameter: 1.5 mm +0/-0.005

To enter these values in ALIAS terms, enter the mid-point of the spread:
Length: 5.70 mm
Diameter: 1.4975 mm

Proper Care of Verification Rods: Keep the rods away from moisture. After a verification has been performed, you might want to coat the rods with a thin layer of oil, to keep them from corroding. Then, just prior to using them, wipe the oil off with a clean, dry paper towel. If inconsequential corrosion does develop on the rods, it can sometimes be removed by wiping them with an oiled cloth, or by rattling the rods together inside a hard plastic container for several seconds and then wiping them down.


 Verification Notifications

When ALIAS has finished scanning the verification particles, it displays an (possibly dimension-distorted) image of the particles and may provide feedback to the user. If it does so, the particles may be individually color-coded to indicate their condition:

Blue - This particle tentatively looks good.

Green - This particle may be touching another one, or it may be excessively curved. Either condition can ruin the validation attempt.

Red - This particle is overlapping the edge of the prescribed scan area and therefore cannot be accurately measured.

ALIAS gives you three options to deal with such situations:

OK - accepts the Verification scan as is;

Cancel - cancels the entire Verification, and;

Retry - permits you to fix problems by removing particles or rescattering them and then trying the scan over again. (Don't press this button until you have rearranged the particles.)

You may see other messages warning of potential problems, with similar choices.

If you click Cancel, or if for any reason the Verification did not succeed, you will see the following message:

You might be alerted to other problems as well, such as non-random placement of the verification particles.


 Successful Verification

If you are satisfied with the initial results of your verification, click OK. This will display the final results and a pass/fail assessment. These results compare ALIAS measurements with the entered length and diameter of the verification particles. It displays any variance between those measurements and compares them to the last verification you performed. If the variance is within the parameters of acceptability you set in the Verification Option Form, ALIAS passes the verification. If the variance exceeds the desired limits, ALIAS fails the verification. (See Failing Verification for more information.)

You are then given another opportunity to either Accept or Cancel the the verification by clicking the appropriate button at the bottom of the box.


 Failed Verification

If you proceeded to the end and the results are unacceptible, you will see the final verification results in tabular form and a notice that the verification has failed.

At this point, your only real choice is to reject the Verification and try again. Click Cancel this Verification and begin the process over.

If you continue to experience problems and you are using a fresh transparency, are sure the glass surfaces of the scanner and lid are clean, are sure that the particles are not touching and that no specks are skewing the results, then try scanning the particles in the normal Scan window and see if there are any problems. When the scan is complete, sort the particles on length and then on diameter, looking at both the smallest and largest particles in those columns. See if there are any specks or excessively large particles (that probably indicate touching particles or some other obstruction in the optical path).

If you continue to experience problems, contact Cascade Data Systems.


Performing Color Calibration

 Performing a Color Calibration

To ensure optimum accuracy of color scan information, a Color Calibration should be performed prior to using ALIAS for measuring color. See Initiating a Color Calibration to begin the process.

Commercial scanners typically operate in the RGB (Red-Green-Blue) color space and do not provide "true color" measurements. To provide more accuracte measurements, ALIAS generates a color correction curve for each of the RGB scanner detectors, by using a Color Checker. The Color Checker plate Cascade Data Systems uses is manufactured by Datacolor and looks like this:

To perform the Color Calibration, follow these steps:

1. Click the Color Calibration button on the Accuracy Verification dialog box. (It will also list the manufacturer of the Color Checker that ALIAS is expecting: do not use a different brand from that which is shown, in this case "SpyderCheckr 24".)

2. Place the color checker on the scanner with the square color patches facedown, and with the color checker squarely in the upper right corner of the scanner glass. That is, the "datacolor" name should be facing down toward the glass and should be flush against the top edge of the scanner glass; and the large gray rectangle of the color checker should be face-up and its edge of the color checker should be flush against the right edge of the scanner glass.

A dialogue box will appear reminding you how to place the color checker.

3. Click OK. The scanner will perform a low-resolution scan of the chart to check its position and orientation. As ALIAS conducts its scans, you'll see the following progress bars:

3a. If a problem is detected in scanning the Color Checker, ALIAS will display a message and ask if the scanned chart should be displayed. If so, the chart will be displayed using Microsoft's Paint (R) program (if available), and the image will also show the focus squares that it attempted to use for the color samples.

3b. After examining the image, close the Paint program, return to ALIAS and click OK on the alert notification. This will bring up another information box asking if you wish to continue.

3c. If the chart position was OK, or if you wish to continue after any adjustments made in step 3b, click OK. ALIAS will then perform four high-resolution scans to acquire the information it needs to generate the color correction curve. It will then display a completion message.

4. If the Color Calibration was successful, you will see the following message: (Under rare circumstances, you might see a successful message after seeing an error message. If this happens, always re-do the Color Calibration!)

If the Color Calibration was unsuccessful, you will see the following message:


Options

You can customize certain ALIAS settings by using the Options feature. Click the Options button on the program toolbar or select Options | Change on the program menu bar. Doing so displays the following window. Along the bottom are several tabs. Click on the various tabs to bring up settings related to that category. (Note: These Options are specifically those available with ALIAS version 3.8.5.0 and later. Earlier versions of ALIAS, though, have very similar options with very similar function.)

Scan - the default tab (shown in the figure), gives you access to settings related to scanning.

Display - permits you to change how ALIAS displays information, from choosing the units of measurement used, to specifying the number of significant digits desired.

Verification - lets you change settings related to verifying ALIAS accuracy, and settings related to calibrating for color scans.

Report - affects how reports are generated and printed.

Particles - governs how individual particles are treated: when their dimensions are swapped, when they are removed for being too small, and when they are flagged as possible touching particles.

Messages - affects what type of messages are displayed for the user.

Clipboard - control which values are copied to the clipboard.

Color - contains options related only to color scanning.

Admin 1 and Admin 2 - contain low-level settings that are normally not accessible to the user and that should only be changed under the direct guidance of ALIAS technical support personnel.

NOTE: An asterisk (*) appearing on a selection in the Options windows indicates that this is the default setting for that option.

When you exit the Options window, if you clicked on "OK" to exit, you will see the following message. (Reminder: changing the Trilobe base/height setting will not change the diameter measurement procedure used in previously saved files.)

You should occasionally backup your ALIAS optional settings. Do so by clicking on Options | Backup Options in the menu bar. When you do so, ALIAS will ask you for a directory in which to place the backed-up file.

Select a directory and then click OK. (Caution: if the directory contains a previously backed-up version of the ALIAS settings, the older back-up file will be replaced with the newer one.)

Backing up ALIAS options causes ALIAS to copy the ALIAS.INI file into a file named ALIAS BACKUP.INI in the directory you specified. If, at any time, you wish to revert to this previous set of optional settings, then:
1. Delete the current ALIAS.INI file in the ALIAS directory. (Back it up first--but in a different directory!)
2. Copy the ALIAS BACKUP.INI file to the ALIAS directory.
3. Rename the ALIAS BACKUP.INI file to ALIAS.INI.

If you ever need to do so, you can delete your ALIAS.INI file. ALIAS will quickly create a new one and will continue to function normally, with three exceptions:
1. You will need to re-enter your scanner calibration information as listed on the scanner-specific page which Cascade Data Systems ships with each scanner.
2. You will want to re-color calibrate the scanner before you perform color scans.
3. Any customization you did from the default Options settings will need to be re-set.


Scan Options

These options relate to how ALIAS scans samples.

Default Scan Size
Default Particle Shape
Transparency Reminder
Saving Scanned Images
Default Data Path


 Default Scan Size

When scanning, ALIAS offers three different scanning regions, a small, medium and large one. (By default, these scan regions are (in inches), and the top option is checked.)

4 x 4
4 x 8
5 x 11

The scan area is, by default, centered on the glass from left to right, and begins near the top of the scanner (the edge closest to the lid hinges). It starts 0.5 inches from the top edge of the glass on the Epson Perfection V850 Pro scanners.

Note: the sizes and placements of these scan areas can be changed. Contact Cascade Data Systems for more information. The scan areas need to be centered (left-to-right) along the "vertical" centerline of the scanner, and they shouldn't be more than five inches wide. It is possible to make them wider than five inches, but ALIAS accuracy will degrade if you do so.


 Default Particle Shape

This setting is useful for saving time when you are scanning. If, at your site, you typically just scan one particle shape, then by all means set it as the default shape. Otherwise you might leave this setting at "Last Saved*". (The asterisk means this is the default setting.) This means that whenever you conduct a scan and then save it, ALIAS will remember the scan shape you used and offer it as the scan shape for the next scan that you do.


 Transparency Reminder

Cascade Data Systems strongly recommends that you lay a clear transparency over the scanner glass prior to scattering particles on it. This accomplishes several things:

1. It protects the scanner glass from scratches.
2. It keeps the scanner cleaner (especially if you periodically replace the transparency). A clean scanner means less dust and fragments which means faster processing time and greater accuracy.
3. It makes it easier to spread the particles out. (After you sprinkle the particles on the transparency, give the transparency some light side-to-side nudges: this helps separate the particles.)
4. It makes it easier to remove the particles after a scan. (When you are finished, just roll up the transparency and pour the particles back into their container.)
5. It minimizes particle rolling. (Use clear inkjet transparencies and place the rough side up. The coarser texture acts as a brake.)

By protecting the glass from scratches and dirt, the transparency becomes scratched and dirty over time. ALIAS can automatically remind you to replace the transparency with a new one by setting the Transparency Reminder period. Doing so will cause ALIAS to remind you once for every period that passes. The message will occur when you launch the Scan window. Cascade Data Systems recommends that you pay close attention to the cleanness of your transparency and change it however often is needed. (Depending on the dustiness of your samples, you may also need to wipe the transparency between scans.) The default setting is "30" days.

Occasionally, users have experienced a static clinging of particles to the transparency, the scanner glass, the scanner lid, or to one another. Usually this problem is solved by changing to a different brand of transparency. Thinner transpancies, especially those with a paper coversheet you peel off, are more prone to building up a static charge. To minimize this effect, use a thicker type of transparency. If static cling persists, wipe down the transparency lid and both sides of the transparency with a damp cloth and let them dry before using ALIAS again. Other steps can also be taken, such as using an anti-static glass cleaner on the scanner (if the glass cleaner is compatible with the scanner manufacturer guidelines). The static cling is often worse just after replacing the transparency.

Note also that some transparencies come with a visible paper strip along one of the edges. This must be removed before scanning, or the paper strip may regisister as one large particle!


 Saving Scanned Images

This setting permits you to turn off the saving of image data in the saved files. This will decrease to some extent the hard disk space required to store saved files, but will prevent you from later examining an image of the scanned particles.

By default, this option is checked.


 Default Data Path

This feature allows you to change the default location in which saved files are saved. Click on the Change button to select a different directory.

By default, this directory is set to the "Data" subdirectory below the main ALIAS directory. Improperly setting this path can result in a couple odd-looking errors.


Display Options

These options relate to how ALIAS displays data.

Decimal Places
Units of Measurement
Trilobe Measurement
Standard Deviations
Maximum Zoom
Thick Reticle
Delete this Catalyst Type
Delete this Color Space
Show random Help Page


 Decimal Places

This setting controls how many decimal places are shown in numerical data. It affects display only; it has no bearing on the precision of the numbers being used internally for calculations.


 Units of Measurement

This feature sets the units of measurement that ALIAS displays its results in: inches, centimeters, or millimeters (the default setting). When you change this setting, all future scans and all future saved files that you open will be displayed in these units. (Data files currently open will need to be closed and then reopened before the change will be accepted.) The units of measurement being used are displayed in inconspicuous places in the windows and on the plots.


 Trilobe Measurement

There are two different methods for measuring Trilobe diameter:

Height - reports the calculated height of the Trilobe as the diameter, assuming the trilobe cross-section is an equilateral triangle whose sides equal the measured base of the particle. (This is done by multiplying the Trilobe base by 0.933.) This value most closely represents the dimension you're likely to measure with calipers, unless you purposely rotate the particle so that its base is perpendicular to the caliper jaws.

Base - gets the Trilobe diameter directly from the ALIAS measurement of the side lying flat on the scanner glass.

Important: this setting only affects future scans. Changing this setting has no affect on previously saved files.


 Standard Deviations

This setting affects all standard deviations displayed in ALIAS. Two options are available:

Absolute* - (the default setting) causes standard deviations to be displayed in the same units in which the average value is given.

Relative - causes standard deviations to be shown as a percentage of the average value.

For example, if the average length is eight millimeters, and the absolute standard deviation of the lengths is two millimeters, then the relative standard deviations of the lengths will be 25.0%.

Cascade Data Systems recommends using the Absolute option, which is the default.


 Maximum Zoom

This setting specifies the number of screen pixels used to represent each scanned pixel when viewing the scanned Image in the Magnified mode.

For example, if the value is set to "1", each scanned pixel is represented by one screen pixel when you zoom in. If it is set to "3" (the default setting), each scanned pixel is represented by a square of pixels measuring three screen pixels to a side (9 total pixels) when you zoom in.

This option affects the display only; it in no way influences the calculated results.


 Thick Reticle

When checked, ALIAS will draw a thicker selection box around selected particles, both in the Scan window and in the Image panel of the Saved File window. When unchecked, this red selection box will be thinner. By default, this box is checked.


 Deleting Catalyst Types

This drop-down box and button permit you to remove any unwanted catalyst types that have been entered. Click the arrow to the right of the drop-down box and select the catalyst type to be removed. Then click the Delete this Catalyst Type button.


Deleting Color Spaces

 Delete this Color Space

This button and drop-down box permit you to delete any color spaces you created in the Color Analysis window. Click the arrow at the right of the option box and select the color space to be removed. Then click the Delete this Color Space button.


Show Help Page

Show random Help Page on Starting ALIAS

This setting, when checked, shows a randomly chosen Help page every time you start ALIAS. By default, this option is checked. (The first dozen or so times, ALIAS chooses predetermined Help pages to display.)


Verification and Calibration Options

Verification and Color Calibration Options

This option tab permits you to set several parameters that control Verification and Color Calibration in the Verification window.

Verification Scan Size
Maximum Verification and Calibration Durations
Automatically Removing Specks
Required Verification Accuracy


 Verification Scan Size

This setting dictates what scan area ALIAS will scan when conducting verifications. The normal three choices exist: (units of measurement are in inches)

4 x 4
4 x 8
5 x 11* (the default)

See Options | Scan | Default Scan Size for more information.


Maximum Verification Duration

 Maximum Verification and Color Calibration Durations

With this feature you set the maximum amount of time you want between Verification and Color Calibration checks. When the duration value you enter has elapsed, once each week, when you open the Scan window, ALIAS will remind you to perform another Verification or Color Calibration, as appropriate.

This is only a reminder. You can continue to peform scan events by simply clicking the OK button on the reminder box. This reminder will continue to appear once a week until another successful Verification or Color Calibration is conducted.

There are two duration settings: one for Verifications and one for Color Calibrations. There are also two distinct reminder boxes. The default settings are "30" days for Black and White Verifications, and "365" days for Color.


Automatically Removing Specks

 Removing Specks Automatically

This setting allows you to automatically remove specks on the scanner glass during the Verification process. For example: if you select 20 percent, and the verification particles are 8 mm x 2 mm, then any "speck" less than 0.4 mm in diameter (or 20 percent of the smaller dimension) will be ignored. By default, this value is 50 percent.


 Required Verification Accuracy

This allows you to set the accuracy limits for verifications. Values are set for both particle length and particle width. ALIAS will use these values to either pass or fail a Verification check.

If your scanner is having problems passing the Verification check, these limits might be set too stringently. (The above image shows the default values that ALIAS uses.)


Report Options

Report Options - General Information

These settings affect the appearance of the reports ALIAS generates.

Report Proportions
Selecting the Report Style
Selecting a Custom Report
Histogram Size
Pass by Number
Percent Precision
Report Header
Heading Labels
Default Number of Histogram Bins


Report Proportions

 Displaying the report with the proper proportions.

This setting allows you to set the ratio of the height divided by the width so that the report looks properly proportioned inside the report window. It only affects the appearance of the report here: this value has no effect on how the report looks when it prints. The default value is 1.375 (11 inches divided by 8.5 inches).


Selecting Custom Report

 Selecting the Report Style

The best way to show reports with ALIAS is to use our Customized Reports. A Customized Report uses an Excel spreadsheet to create a fully customizable report. Two custom reports are provided with ALIAS. We recommend you choose one of them to begin with. (LengthDiameterReport2021.xlsx is the default.)

There is another option, the Standard report style. We discourage users from using this report format. (It's included primarily for legacy purposes and for troubleshooting. The Values page is another alternative for users who preferred the Standard report style.) This Standard report format is a bare bones report, and at times it doesn't show up well on some computer screens. (It always prints fine, however.) The right-most side of the report may be clipped in the viewing window--but all of these values are readily visible in the upper table over on the left side of the same ALIAS screen. (If you decide to use this old standard report style, and it doesn't display correctly on your system, contact Cascade Data Systems--there is a setting that might be able to correct the problem for you.)

In any event, this report format is duplicated in the StandardReport2021.xlsx, and by using the customized report you can customize it however you wish.


Selecting Report Style

 Selecting a Custom Report

Two customized reports come with Alias (LengthDiameterReport.xls is the default customized report). Select either of them or another file of your choosing. (Customized reports must also be checked.)

You must have Microsoft Excel (R) installed on your computer to use customized reports. If Excel is absent, an error message will result when attempting to customize a report.

(If you are using Customized reports, but the report directory is incorrectly set, you might see some odd-looking errors.)


Histogram Size

These settings affect how histograms will look in the Excel customized reports.

When customizing a report in Microsoft Excel (R), you may find the text labels on the histogram to be either too small or too large. ALIAS permits you to adjust the size of the text to use with customized reports. The first value is read as a percentage of the default value. The larger it is, the larger the text will be. The default setting is 100. A little experimentation should quickly give you the font size you desire.

The last trio of settings permit you to override the histogram image granularity and proportions. To do so, first check "Override Proportions", then select new values for Width and Height. By default, the histograms which ALIAS stretches and pastes into the customized Microsoft Excel reports are 600 pixels wide by 450 pixels high. Adjusting the ratio of these two values will affect the "squareness" of the plot image. Raising or lowering these values can increase or reduce any pixelation of the plot image.


Pass By Number

This checkbox is checked by default. When checked, it instructs ALIAS to pass real and integer values to Microsoft Excel as numeric values. When unchecked, real and integer values are passed as strings (character data).


Percent Precision

When ALIAS plots a histogram, it computes the percentage of the sample that resides within each bin. Normally, ALIAS rounds off the percentages of each bin to the nearest tenth of a percent. If you desire finer granularity than that, you can choose it here.


Report Header

Use this field to enter the text you want printed at the top of all ALIAS standard reports.

The default setting is "ALIAS".


Heading Labels

Report Labels

These three edit boxes permit you to change the labels of the three text identification fields that are entered whenever you save a scan. See Saving Scans and File Properties.

The default settings are shown in the above image.


Number of Histogram Bins

Setting Number of Histogram Bins

The values you set in these boxes determine the number of bins that will be initially shown in the histograms of saved files. The default number of bins is "10" for all three parameters.

When viewing saved files, you will of course be able to change the number of bins displayed by moving the slider bar, but if you constantly use the same bin scheme and number of bins, these settings can save you time.


Particle Options

Particles Options - General Information

This tab lets you adjust how individual particles are treated within ALIAS.

Displaying Particle Dimensions
Dimension Correction
Excluding Small Particles
Detecting Touching Particles
Skip Automatic Correction of Dimension Assignments


Displaying Particle Dimensions

When the following checkbox is checked, ALIAS will display particle dimensions for any particle that is clicked on in the Scan image window or in the Image panel of a Saved File.

The dimensions appear next to the current position of the mouse pointer, but apply to whatever particle was last clicked on. The dimensions appear even for particles that have been removed from the sample. "L:" gives the length; "D:" the diameter.

By default, this option is enabled (checked).


Dimension Correction

When this option is checked, particles whose dimensions have been swapped are marked with asterisks in Saved Files. By default, this option is checked.


Small Particle Exclusion

You can have ALIAS automatically exclude small chips and bits of particles by setting a minimum size for those particles you want included. Having ALIAS remove all smaller particles from the sample saves the user from having to do so manually.

To enable this feature, check the check box and enter a minimum diameter value. To deactivate this feature, clear the check box.

Default Settings: checkbox is checked and minimum size is 0.50 mm.


Automatically Detecting Touching Particles

Automatically Detecting Oversized Particles

With this feature enabled, ALIAS can help you catch touching particles. ALIAS will then look for particles whose diameter dimensions exceed the sample average diameter by a certain percentage. This is the simplest way of searching for suspect particles: when two particles roll together, it is very likely that their conjoined diameter will be reported as larger than the sample average diameter. How you then deal with any touching particles is up to you: Cascade Data Systems recommends that you separate the particles and re-scan the sample. (Simply removing touching particles from the statistics might bias the sample average values.)

To use this feature, place a check in the check box and enter a diameter percentage.

Default Setting: checkbox is checked and value is set at 50.0%.


Skip Automatic Correction of Dimension Assignments

In general, ALIAS initially assigns the larger of the two particle dimensions as the length of that particle, and the shorter of the two particle dimension as the diameter of that particle. ALIAS then does some automatic processing of the sample and may adjust some of these assignments. (ALIAS presumes, as a rule of thumb, that there'll be greater variability in the sample length measurements than there'll be in the sample diameter measurements.) This is done before ALIAS turns full control of the scan data window over to the user.

No algorithm acting upon the two-dimensional information that a scanner can provide, however, will be foolproof when it comes to assigning the dimensions of a particle, and consequently the ALIAS user is strongly recommended to review the dimensional assignments. If particle dimensions are incorrectly assigned, it will affect the accuracy of the results that ALIAS returns.

The option below directs ALIAS to bypass the automatic adjustment of the dimension assignments which was discussed just above. Bypassing the automatic dimension swapping is not recommended. But if--against our recommendation--you do check this option, then when full control of the scan data window is turned over to the user, the user will generally find that the longer dimension of each particle is assigned as its length. (Note that this is not guaranteed, especially for those particles whose lengths and diameters are similar in size.)

By default, this checkbox is unchecked.


Message Options

Messages Options - General Information

You can set the amount and type of feedback ALIAS provides you during scanning and processing events, as well as set additional parameters on sample placement on the Messages Options Form. The Messages Options Form can be accessed by clicking Options on the toolbar and then selecting the Messages tab.

Verbose Messages
Calibrated Range and Dimension Swapping
Minimum Sample Size
Random Placement
Standard Error Check


Verbose Messages

ALIAS tries to alert the user to certain events that might affect the performance and accuracy of ALIAS. Experienced users, however, may find these repeated messages annoying. ALIAS therefore permits the user to turn off several of these messages. Disable this feature by removing the checkmark.

Doing so bypasses the following Scan messages:

Physical RAM Memory too low.
Preparing to do Color Scan--make sure no particles have shifted.
Doing a color scan after changing scan area from the base scan.
Particle is too big to show all of it in the magnified view.

By default, this option is checked.


Calibrated Range and Dimension Swapping

Outside Calibrated Range

ALIAS is calibrated for particles with diameters between 0.85 mm and 3.50 mm. ALIAS alerts the user when the sample average diameter is outside this range. To disable these messages, uncheck this box. By default, this option is checked.

ALIAS also generally informs the user whenever it is swapping the dimensions of scanned particles. If you are very familiar with ALIAS, you may wish to uncheck this option to reduce the number of information windows displayed to the user. By default, this box is also checked.

ALIAS shows the following error messages when the sample being scanned is outside ALIAS's calibrated range:


Minimum Sample Size

ALIAS accuracy is sensitive to sample size. Set the minimum desired sample size in this edit box. Cascade Data Systems strongly recommends leaving this value at 40 or higher.


Random Placement

ALIAS achieves its highest accuracy when particles are distributed randomly within the selected scanning area. ALIAS alerts you when particles are not randomly placed. Use these boxes to adjust the thresholds ALIAS uses.

ALIAS performs the random displacement check by designating three bins: left, right and central. It performs the random rotation check by designating three alignments: vertical, diagonal and horizontal. ALIAS then divides the sample particles into those bins, checking to make sure each bin has, at a minimum, the designated percentage of particles in that bin. If that percentage is not met for either of the checks, ALIAS alerts you to rescatter the sample and re-scan. See Troubleshooting | Scanning Errors, item 10, for more information.

There are three edit boxes:

(1) Minimum Sample Size for which to check Placement - Here you specify the smallest sample size that ALIAS should check distributions on. If a sample has fewer than this number of particles, ALIAS will bypass this placement check. Cascade Data Systems recommends that you keep this value at or below the Minimum Sample Size value.

(2) Check Displacement - Displacement refers to the position of your particles laterally across the scanner. If you don't want ALIAS to consider this factor, disable it by removing the checkmark.

(3) Check Rotation - Rotation refers to the orientation of the individual particles along the plane of the scanned surface. Having too many of the particles aligned in the same direction on the scanning surface can also skew the results. Disable this check by removing the checkmark.

ALIAS defaults to 15.0 percent in each bin for both placement checks. Cascade Data Systems recommends that you don't go lower than these values. Doing so could degrade the accuracy of ALIAS.

By default, both checkboxes are checked and the minimum sample size is set to "40".


Standard Error Check

ALIAS computes the Standard Error for both the length and diameter of the sample and compares it to the values entered on this Options tab. The Standard Error is a tool for gauging whether or not the number of particles in a sample adequately represent the population from which they were drawn.

If the sample was randomly selected, then the Standard Error provides an estimate as to how close the average dimensions of the sample represent the average dimensions of the population. (As a general concept, having a Standard Error larger than the value shown means that the sample size you have just scanned is insufficient to determine the average value of the population to within that limit.)

If you don't wish to have ALIAS report on Standard Error when scanning, uncheck the checkbox. The edit boxes contain those values that ALIAS compares the Standard Error to, and when the Standard Error exceeds these values, ALIAS alerts the user. This Standard Error check is only performed for samples that contain as many or more particles as is specified in the "Minimum sample size for checking" edit box.

By default, the checkbox is checked, the minimum sample size is set to "10", and the three thresholds are set to 0.10, 0.05 and 0.10 mm, respectively.


Message Options

Clipboard Options - General Information

You can control which data gets copied to the clipboard (for future pasting into other applications) by adjusting the settings on this tab. The Clipboard Options Form can be accessed by clicking Options on the toolbar and then selecting the Clipboard tab.

Activate the Copy-to-Clipboard button.
Show a dialogue box whenever data is copied to the clipboard.
Show the data codes that can be used.
Enter the codes for non-spheres and for spheres.


Activate the Copy-to-Clipboard Feature

You can enable ALIAS to copy data to the clipboard by ensuring that this checkbox is checked (which it is by default).

You use this feature as described above.


Show Dialogue Box on Copy-to-Clipboard Action

You can tell ALIAS to display a pop-up dialogue message whenever information is copied to the clipboard by ensuring that this checkbox is checked.


The Data Code for the Copy-to-Clipboard Feature

ALIAS can be set up to copy various pieces of data to the clipboard by entering the proper codes. These codes are listed in a pop-up dialogue box that is displayed when the user presses the "Show Codes" button.


Entering Codes for the Copy-to-Clipboard Feature

There are two edit boxes into which you can enter the correct value codes and separator characters to select which information you wish to be copied to the clipboard whenever you click the Copy button on the dataform toolbar.

The available codes are discussed above.

There are two edit boxes--one for all non-sphere catalyst shapes (cylinders, bilobes, trilobes, quadlobes), and one for sphere catalyst shapes. Enter a string of codes and separator characters into both edit boxes, as you choose. And be sure to test these code strings thoroughly to ensure that you are copying exactly what you wish to copy.

ALIAS, by default, will copy most (if not all) of the available data. But you can easily adjust what gets copied and what doesn't, and in what order.


Color Options

Color Options - General Information

This tab affects the color scanning process.

Enabling Color Scanning
Illuminant
Additional Color Computations
Display CIE XYZs
Color Equations


Enabling Color Scanning

Use this tab to customize color scanning. There are three settings in the Color Scanning drop-down box.

(1) Disabled - disables all color-related functions within ALIAS.

(2) Enabled* (default) - activates all color-related functions within ALIAS, but requires manual actions to actually perform color scans, and;

(3) Automatic - causes a color scan to automatically be performed immediately after each base scan.


Illuminant

The actual values computed for the CIE X, Y, and Z values depend upon the specific illuminant selected for the baseline. Currently, ALIAS bases all its color values on Illuminant C. Other illuminant options may be implemented in future releases.


Color Equations

Equations

With this feature, you can define different color equations based upon the CIE XYZs. You select the number of additional equations you want in the Additional Color Computations combo box.

With the Additional Color Computations set to "0", all of the equation fields will be grayed out (deactivated).

To activate one or more equation option fields, enter the number you want activated in the Additional Color Computations combo box.

You can enter any legal mathematical expressions in the equation edit boxes using the following symbols:

( ), + , - , * , / , ^ , MOD or DIV.

You can also use the following functions:

COS | SIN | SINH | COSH
TAN | COTAN | ARCTAN | ARG
EXP | LN | LOG10 | LOG2
LOGN | SQRT | SQR | POWER
INTPOWER | MIN | MAX | ABS
TRUNC | INT | CEIL | FLOOR

PI is also defined.

Whenever you enter a new equation, compute a few values by hand and compare them to the values that ALIAS provides to make sure that the parser is properly interpreting and enacting your equation.

Note 1: upper case and lower case do not matter. Do not use any spaces. If an equation may potentially give negative values, be warned that they will not show up correctly in the Histogram view. To overcome this, consider either taking the ABS (absolute) value of the given equation or adding some offset to the value.

Note 2: If you ordinarily use a comma as your decimal separator, the color equations will probably not work correctly. Try using the decimal separator in the equations and test them to ensure that everything is working correctly! (Note that some functions--like Power(#1,#2)--use the comma to separate the arguments to the function.)

Note 3: Test your equations extensively to be certain that they are giving the correct answers!


Additional Color Computations

ALIAS can provide not only the CIE X, Y and Z color tristimulous values, but it can also display up to three additional computed color values based on these CIE X, Y and Z's. Use the combo box to select how many additional computed color values you want to display.


Displaying CIE XYZs

Continue to Display CIE XYZs

This feature permits you to enable or disable the showing of the base CIE XYZ values. Clear this box to disable the CIE XYZ display function.

If you select "0" Additional Color Computations, the Continue to Display CIE XYZs option is grayed out. (Otherwise there would be no color information displayed after a color scan.)

As an example, in the following image one additional color computation option has been entered. The Continue to Display CIE XYZs option is now active, allowing you to disable the CIE XYZ display if you so desire.


Advanced Settings

There are two additional tabs on the options form which are not usually visible. These tabs contain advanced settings that are used to isolate problems and to make other, proprietary changes to the functioning of ALIAS. Changing them without guidance will dramatically degrade the overall operation and accuracy of ALIAS: only change values in these tabs when expressly directed to do so by a Cascade Data System technician.

For instance, with ALIAS 3.8.5.0, you cannot ordinarily use Epson Scanner models earlier than the V850 Pro Scanner. If you attempt to choose an earlier scanner by making a different selection in the "Scanner" drop-down box, it might appear that you have succeeded. But this is not the case: if you exit Options, then re-enter Options and go back to the Admin2 tab, you will see that ALIAS has reverted the scanner model to the V850 Pro. (Reverting to earlier scanner models is possible, but it requires additional overrides that aren't listed in the Admin2 tab.)

Similarly, you may be tempted to change the Scan Area regions, but you should not do so without explicitly consulting Cascade Data Systems. Changing the Scan Area regions can negatively affect performance, for ALIAS purposefully centers the scan areas to narrow regions about the scanner centerline so as to maximum the accuracy of ALIAS. Scanning particles which are displaced farther from the scanner centerline than is permitted by the default scan areas will provide less accurate results.

(Note if you should ever expose the "Admin1" tab, be aware that every checkbox on this "Admin 1" tab should always be unchecked. Never check these unless at the express direction of Cascade Data Systems.)

Entering these forms displays the following caution box.


Troubleshooting

ALIAS is a very robust application. Occasionally, though, users may experience problems. The following is a suggested approach for resolving problems.

1. Reboot the Computer. Depending on the version of Microsoft Windows (R), and the drivers installed on your system, and other applications that may run on it, your computer may have become unstable. The quickest and surest way to return Windows to a stable state is to reboot the computer. When Windows comes back up, try running ALIAS again, and see if the experienced problem recurs. Note: make sure you do not run any other applications before you test ALIAS operation. (ALIAS is intended to run on a dedicated computer.)

2. Test the Scanner. If you are still experiencing problems, reboot the computer again and this time (before running ALIAS) verify that the optical scanner is running correctly. You can test this in a couple of ways. One way is to simply use the Epson Scan program that should be on your Windows desktop. Another way is through the Scanners and Cameras icon in the Control Panel. Double-click it.

Then right click on the name of the optical scanner ALIAS is using, and choose Properties. It should bring up a window similar to the following:

Click on the "Test Scanner" button. Doing so should give you a window similar to the following:

If it doesn't, you need to resolve why the scanner is not working. Refer to your scanner manuals. You may need to contact the scanner manufacturer, the computer manufacturer, or your operating system provider to get the scanner working again.

If the control panel reports the scanner as functioning properly, try making a scan with the software that came with your scanner or with your computer, such as Microsoft Photo Editor (R). To make a scan, you need to first go to File | Select Scanner Source ... and choose the appropriate scanner.

Then you need to go to File | Scan Image .... This will bring up a scanning window like the following.

Make a preview and then try making a scan. Again, if you have problems, you need to work with your hardware and operating system providers to resolve the problem. ALIAS will not function if the scanner is not functioning. Also know that ALIAS in no way interferes with the functioning of the scanner as long as ALIAS is not running.

3. Make sure the Hardware Key is properly attached to a USB port. To ensure that the hardware key is present and being seen, load ALIAS and then go to Help | About. If the DLL version information (in blue) shows up all right, then the hardware key is working fine.
If not, then check that the hardware key is properly attached. See also ALIAS Hardware.

Another way to check on the proper functioning of the hardware key is to open a web brower and type into the address bar the following:
localhost:1947
This should bring up a Sentinel page that will allow you to see which hardware keys are attached to the computer.

4. Pursue the error messages. If ALIAS gives you an error message, write down exactly what it says (including the window title), and then see if you can correct the problem. The next few pages detail some of these potential error messages.

5. Keep the top half-inch of the scanner glass clear and clean if you are using the Epson Perfection V850 Pro scanner. This scanner uses this space to calibrate its optics before every scan.


Scanning Errors

If a problem occurs during the scanning process, ALIAS will alert you, and possibly ask for a response. The following potential messages are listed in sequence. If you contact Cascade Data Systems, make sure you have the exact wording of the error message, including the title shown in any error message window.

1. This error occurs immediately if core ALIAS files are missing or if the hardware security key is not attached to a valid USB port. Check that the key is present and properly seated. If this error persists, you may need to update the hardware key drivers or reinstall ALIAS.

2. If you see this message, your computer has insufficient RAM to run ALIAS efficiently. You can proceed, but ALIAS speed can be significantly degraded due to the computer swapping data to the hard disk. It is usually better to close down all other programs and/or reboot, instead. If this error reccurs, and your computer has less than 128 MB of RAM, you will probably want to increase the RAM on your computer. (If you turn off Verbose messages, this message will not be displayed.) Note: with recent computer specs, this should never be a problem!

3. The next error message is indicative of the type of error that can occur if the catscan.dll file is absent or corrupt. These types of processing errors can also occur (although rarely) with certain configurations of particles: when particles are touching each other, or when particles overlap the edge of the scan area. Try shifting the underlying transparency slightly and rescanning. If these problems persist, ALIAS files may need to be restored to your computer.

4. The following error message indicates that there is a corrupt entry in the ALIAS.INI file located in the ALIAS directory. You can try to correct this file manually or restore to a previous version of this file. Whatever you try, be sure to make a backup of the ALIAS.INI file first. If worse comes to worse, you can always delete the ALIAS.INI file and ALIAS will create a new one the next time you open the Options dialog box. All of your settings will need to be re-specified. And it is especially important that you re-enter the calibration data that came with your specific scanner: follow the steps indicated in the documentation that came with your ALIAS system.

5. If you are using automatic swapping of lengths and diameters (see Options | Particles in this Help file for more information), you may encounter this error message if there are fewer than 3 particles in your sample. There are too few particles to compute an average sample diameter for use with the swapping algorithm.

6. This message informs you that there are too few "long" particles to compute a reliable sample diameter for use with the automatic diameter swapping algorithm. If you press "Yes", you will be asked to input the sample diameter manually so that the swapping algorithm can proceed.

7. This error message appears if you entered an invalid number in the dialog box asking for an average sample diameter. (To re-enter this number, rescan the sample.)

8. This message informs you that the diameter swapping algorithms didn't find any particles needing their dimensions swapped.

9. The following message occurs when particles are manually swapped. (Particles that have been swapped can be easily seen after a file is saved; they show up as green particles in the Image view of the dataset.)

10. In order for ALIAS to perform best, it needs the sample to be randomly spread in the scan area. If too many particles are centrally located or located too far toward the edge, or conversely, if too many particles are rotated in a similar direction, then ALIAS accuracy may degrade. The next two message boxes alert the user that such is the case and give the user an opportunity to "randonmize" the particle placement a little better or to accept the scan as is.

11. These next two message windows inform the user if the average sample diameter exceeds the calibrated range of ALIAS. ALIAS was calibrated for particles with diameters between 0.85 and 3.5 mm. You may use ALIAS for particles beyond this range, but ALIAS performance is untested there. See General Information | Alias Accuracy for more information.

12. This warning alerts the user if the sample is below the minimum desired sample size. This value can be set in the ALIAS Options window.

13. The next three messages warn the user if ALIAS recommends a larger sample size for the given sample standard deviation. ALIAS computes the Standard Error for each sample scanned (the Standard Deviation divided by the square root of the sample size) and compares this to value entered in the Options settings. If the Standard Error exceeds these values--(these values can be changed in the Options window)--then ALIAS recommends that the user use a larger sample size. (The larger the Standard Error, the more particles that are needed for the sample to accurately reflect the statistics of the population from which they were randomly drawn.)

14. If the Hardware Key is not attached to the computer, you will see the following message when you try to perform a scan. (Note: this type of error should be obsolete--ALIAS systems now use USB hardware keys, and have for many years.)

15. If you've changed your scanner driver, you may see an error message like the following when you try to scan. The solution is to change the Twain Source setting under Admin 2 in the Options window (or to return to the previous driver). Note: you should not update your scanner driver. The version of the scanner driver that shipped with ALIAS is tested and verified to work properly. New scanner drivers may not do so.

16. If, immediately after conducting a scan or when looking at an Image in a saved file, you receive a "StretchDIBits Error" message followed by a number and then the image fails to show up, record the error number. If it is an "8", you are low on memory and need to close out some applications, decrease the number of saved files currently open within ALIAS, or add RAM to your computer to fix the problem. If a different number followed the "StretchDIBits Error" message, you may need to update your video drivers, or reinstall Microsoft Windows (R) to correct the problem.

17. If your Add | Remove | Swap-1 | Swap-N toolbar disappears while you're in the Scan window, you can get it back by exiting the Scan window and returning.

18. If while running the Self-Test routine you encounter either "Unknown Scanner Control Requested" or an "Invalid Floating Point Operation" or both, this is likely due to there not being a "\Data" subdirectory in your ALIAS directory (typically C:\ALIAS\Data), or you could have an invalid directory selected as your Default Data Path.

19. If you notice what appear to be vertical strips running from the top of the scanned image to the bottom of the scanned image, strips which appear to slice straight through particles, cutting them into two pieces, then it could be being caused by (a) blockages in the top half-inch of the scanner glass (either the glass on the scanner base or the glass on the scanner lid) where the scanner calibrates itself immediately prior to every scan, or it might be being caused by (b) bad areas on the scanner's optical sensor. In the former case, cleaning this section of the scanner glass and making sure that no dust or particles or marks obstruct it may fix the problem. In the latter case, it might have been caused by age or by dust having somehow gotten onto the sensor itself, but either way it probably means that the scanner will need to be replaced.

One way to test if this is happening is to cut a piece of paper that is about 0.5 inches wide by 8 inches long and to lay it horizontally across the middle of the scan area (without any catalysts being present), and to Scan that paper with ALIAS (using the Cylinder particle shape setting). ALIAS will exclude this large paper particle for overlapping the edges of the scan area. That's okay: simply highlight it and Add it back into the sample. Then check to see if ALIAS is reporting it as a single particle, or if ALIAS is reporting it as more than one particle. If ALIAS sees it as being more than one large particle, then your scanner may be having a problem.

20. If your receive a message on starting ALIAS that says " '4.0' is not a valid floating point value" (or '4,0'), and then possibly receive a "Floating point division by zero" then the problem may be your Regional Settings inside Windows 10/Windows 11, specifically your "Decimal symbol". Some regions use a "." as a decimal indicator; others use a ",". ALIAS should be compatible with both, but some of your Options settings may be causing this problem. Try either (a) to set the Decimal Symbol back to what it was in Control Panel | Region | Additional Settings... or (b) back up the ALIAS.INI file, exit ALIAS, delete the current ALIAS.INI file, then go back into ALIAS. (Note: if you do option (b), you'll have to re-enter your scanner calibration data, re-do you color calibration, and adjust any other settings you may have made within the Options window.)


Printing Problems

You should not have any problems printing. If you do, use the Windows settings or control panel to check that the printer is working properly, and see if a test page will print.

If you're using Custom Reports, sometimes--if your computer is overtaxed--you may receive an error message saying that the print preview image might not be displayed. Look here for more information on this issue.


Epson Drivers

If you experience problems with your scanner, it's possible that recent Windows updates are interfering with its proper performance. You can try updating the Epson drivers, but note that the new drivers probably haven't been tested with your version of ALIAS and could cause problems. Proceed with caution! (We suggest you try contacting Cascade Data Systems first.)

Prev


Histogram Text Size

When customizing a report in Microsoft Excel (R), you may find the text labels on the histogram to be either too small or too large. Consequently, ALIAS permits you to set the size of the text to use with customized reports. This value is read as a percentage of the default value. The larger it is, the larger the text will be. The default setting is 100. A little experimentation should quickly give you the font size you desire.